# ![](img/nav42/config.png) Configurez votre environnement

Vous avez pris en main votre système ? On va passer à la configuration 
fine de votre poste de travail.

Vous pouvez quasiment tout modifier sur les bureaux Debian GNU/Linux et 
adapter votre environnement à vos besoins et goûts personnels...

L'arme *quasi* absolue ? Le clic-droit ! ![](img/mouse/clic-droit.png)

## Interface utilisateur

![](img/apps/skin.png#left)  
Les environnements GNU/Linux sont réputés pour leur grande souplesse en matière 
de configuration. Cependant, certains bureaux le sont plus que d'autres, en 
raison de leur interface générale.

Ils fonctionnent en gros sur le même principe : un "Centre de contrôle" pour 
les diriger tous et le clic-droit pour affiner les éléments individuellement.

Certaines fonctionnalités ont été évoquées lors de la présentation des 
bureaux ([chap.4.2](#choisir-son-environnement-de-bureau-gnulinux)). Mais revenons sur les 
deux bureaux principaux sur Debian : Gnome et KDE.

### L'interface Gnome-Shell

**Gnome est le bureau par défaut** pour les installations de Debian. Ce bureau 
présente une interface "tout-en-un" qui en fait un environnement fluide et 
intuitif. Son centre de contrôle vous permettra de gérer l'intégralité des 
composants du bureau.

L'interface Gnome-Shell 
([https://wiki.debian.org/fr/GnomeShell](https://wiki.debian.org/fr/GnomeShell)) 
est "uniforme" : c'est ce qui apporte cette fluidité. Cela veut aussi dire que 
vous ne pourrez pas tout modifier comme sur les autres bureaux, construits 
autour de modules. Mais au lieu de parler du peu que vous ne pourrez pas 
faire, parlons de tout ce que vous pouvez configurer.

Donc direction le menu d'activités Gnome > "Ajustements".

![Lancer la personnalisation de Gnome-Shell](img/07-conf/01-gnome-ajustements.jpg)

La fenêtre qui s'ouvre intègre tous les éléments de votre bureau Gnome-Shell. 
Les changements sont immédiatement visibles.

![Gnome-Shell : configuration de l'interface](img/07-conf/02-gnome-apparence.jpg)

Après quelques "clics" sur les différentes catégories, vous comprendrez 
facilement comment configurer l'apparence de votre bureau, activer le thème sombre 
ou lancer vos applications préférées au démarrage.

#### Installer des extensions Gnome-Shell

Gnome-Shell est agrémenté d'extensions variées intégrées par défaut. Pour y accéder 
simplement, direction le menu d'activités Gnome > "Extensions".

![Lancer le gestionnaire d'extensions de Gnome-Shell](img/07-conf/04-gnome-ext-install-1.jpg)

Le gestionnaire d'extensions affiche celles qui sont disponibles directement sur votre
système. Vous pouvez les activer ou les désactiver et certaines sont configurables via 
l'icône en forme de roue située sur la ligne de l'extension.

![Liste des extensions Gnome-Shell disponibles](img/07-conf/05-gnome-ext-install-2.jpg)

Pour installer de nouvelles extensions, visitez le site [extensions.gnome.org](extensions.gnome.org). 
Ce site liste les extensions supplémentaires disponibles pour votre environement Gnome.

Pour pouvoir intégrer de nouvelles extensions à votre système, vous devez 
installer le module complémentaire liant Firefox à votre gestionnaire d'extensions : 
suivez le lien "Cliquez ici pour installer l'extension du navigateur".

![Page de présentation des extensions en ligne](img/07-conf/06-gnome-ext-install-3.jpg)

Autorisez ensuite le navigateur à installer le module en suivant les instructions :

![Autoriser "extensions.gnome.org" à installer un module](img/07-conf/06-gnome-ext-install-3_1.jpg)

![Ajouter l'intégration à Gnome Shell](img/07-conf/06-gnome-ext-install-3_2.jpg)

![Confirmation de l'intégration à Gnome Shell](img/07-conf/06-gnome-ext-install-3_3.jpg)

Désormais, en cliquant sur l'icône 'Gnome' de votre navigateur, vous accédez à la page 
de présentation et de gestion des extensions en ligne de Gnome :

![Extensions disponibles en ligne](img/07-conf/07-gnome-ext-install-4.jpg)

Pour installer une nouvelle extension, cliquez sur son nom ou recherchez-là grâce au 
champ dédié. Ici avec "Dash to Panel", une extension permettant de rétablir un tableau de 
bord traditionnel sur Gnome-Shell : cliquez simplement sur "**ON/OFF**" et l'installation vous sera proposée :

![Page de présentation de "Dash to Panel"](img/07-conf/08-gnome-ext-install-5_1.jpg)

![Confirmation de l'installation](img/07-conf/08-gnome-ext-install-5_2.jpg)

Votre extension est immédiatement activée, et disponible dans votre gestionnaire 
d'extensions Gnome-Shell :

![L'extension Dash to Panel](img/07-conf/09-gnome-ext-install-6.jpg)

#### Les raccourcis clavier sur Gnome-Shell

Pour optimiser votre temps, et même si le bureau Gnome est orienté "clic de 
souris", nous vous conseillons l'utilisation des raccourcis clavier : une 
pression sur la touche "Windows®" permet par exemple d'afficher les activités 
ouvertes, le tableau de bord et les bureaux virtuels.

Raccourcis              Actions
----------------------- -------------------------------------------------------
Alt + F1 ou Win         Ouvre la vue "activités"
Ctrl + Alt +  Tab       Affiche le menu d'accessibilité de la vue activités
Alt + F2                Lancer une commande
Alt + Tab               Naviguer parmi les fenêtres ouvertes
Alt + Maj + Tab         Idem, mais dans l'autre sens
Alt + ²                 Naviguer parmi les fenêtres ouvertes d'un même groupe
Ctrl + Alt + ↑/↓        Changer de bureau
Ctrl + Alt + Maj + ↑/↓  Envoyer la fenêtre sur un autre espace de travail

#### Configuration générale du bureau Gnome

La configuration Générale de votre bureau est disponible depuis le lanceur de 
Paramètres (menu "Outils système") et vous donne accès à l’intégralité des 
réglages de votre environnement :

![Lancer la configuration de Gnome](img/07-conf/10-gnome-preferences-launcher.jpg)

![Gnome-Shell : gestionnaire de paramètres](img/07-conf/11-gnome-preferences-1.jpg)

![Gnome-Shell : gestion des médias amovibles](img/07-conf/12-gnome-preferences-2.jpg)

Chaque entrée ouvre un sous-menu qui vous permet d'effectuer vos modifications 
puis de revenir au menu principal de configuration afin de continuer la 
personnalisation de votre environnement.

#### Gnome Classique

Si vous désirez utiliser une interface plus "classique", c'est lors de la 
connexion à votre session que ça se joue : cliquez sur la petite roue afin 
de sélectionner "Gnome Classique" puis "Se connecter" :

![Gnome classique : choix de la session lors de la connexion](img/07-conf/13-gnome-classique-gdm.jpg)

Votre session s'ouvre alors sur une version plus conventionnelle de Gnome, 
mais vous conservez vos réglages principaux et vos outils. L'interface 
est plus légère, mais offre moins d'effets visuels (f)utiles.  
Pour revenir au bureau Gnome-Shell par défaut, sélectionnez "Gnome" depuis 
la petite roue lors de votre prochaine connexion.

![Le bureau Gnome Classique sur Debian](img/07-conf/14-gnome-classique.jpg)

### L'interface Plasma KDE

**KDE** est un bureau historique des environnements GNU/Linux et a toujours 
mis l'accent sur la personnalisation extrême. Le passage au moteur de rendu 
Plasma ([https://kde.org/fr/plasma-desktop/](https://kde.org/fr/plasma-desktop/)) 
n'a rien changé sur ce point : tout est configurable, déplaçable, modulable 
sur KDE, et depuis un unique **centre de contrôle très complet**.

**KDE** vous permettra de construire votre environnement de A à Z, dans les 
moindres détails. Certains diront qu'il est (trop) complet et ne cachons 
pas qu'il existe une petite rivalité entre les utilisateurs de KDE et ceux 
qui utilisent *le* Gnome. ![](img/smile/wink.png)  
Quoi qu'il en soit, ces différents environnements ont un avantage certain : 
celui de vous offrir **le choix** !

#### Le panneau de Configuration

![Configuration de KDE sur Debian](img/07-conf/15-kde-config-center.jpg)

**Menu : Configuration : Configuration du système**, c'est ici que vous 
allez pouvoir effectuer tous les réglages de votre ordinateur et de votre 
système Debian. 

Réseau, son, vidéo, apparence des fenêtres, langue par défaut, mais aussi la 
façon dont vous voulez vous connecter à votre session et j'en passe, on peut 
pratiquement tout régler à partir d'ici.  
Il y a même des effets de bureaux, façon Compiz, intégrés à KDE.

Chaque entrée est détaillée et vous découvrirez au fur et à mesure les 
possibilités de configuration de l'environnement KDE-Plasma.

#### KDE et les composants graphiques

![Ajouter des composants](img/07-conf/16-kde-composants-1.jpg)

**Plasma** permet d'ajouter des composants graphiques ("widgets") à votre bureau 
qui affichent quasiment n'importe quoi (calendrier, BD, météo...). 
Depuis un clic-droit sur le bureau, sélectionnez "+ Ajouter des composants 
graphiques", puis faites votre choix en glissant-déposant les composants 
désirés sur votre bureau.

![KDE et les composants graphiques](img/07-conf/17-kde-composants-2.jpg)

Pour configurer les composants (widgets), effectuez un clic-gauche maintenu sur le 
composant concerné pour faire apparaître le menu de configuration. Vous 
pourrez alors régler le composant, le déplacer ou le redimensionner 
à votre convenance.

**KDE** est un environnement aux multiples possibilités. Je vous invite à 
fouiller leur site internet, et plus particulièrement la page des tutoriels 
en français, qui fourmille d'informations : 
[https://userbase.kde.org/Tutorials/fr](https://userbase.kde.org/Tutorials/fr).

## Préférences du système

![](img/apps/preferences.png#left)  
La configuration de votre système impacte directement votre expérience 
utilisateur. Au lieu de vous faire un chapitre complet sur les différents 
concepts éthiques et techniques qui ont conduit Debian à adopter son 
organisation logicielle, on va passer par les conséquences sur votre 
utilisation quotidienne.

Dans la suite de ce chapitre, vous devrez peut-être activer les sections 
"contrib" et/ou "non-free" des dépôts Debian afin d'accéder à des logiciels 
un peu "moins libres". Vous suivrez la méthode documentée dans le 
[chapitre 8.1.4](#modification-des-depots).

### Root-User / su-sudo

Un petit point avant d'aller plus loin et utiliser le mode "administrateur". 
Lors de l'installation, Debian vous demande de renseigner le mot de passe 
pour le compte administrateur "root". Ce compte est commun à tous les systèmes 
GNU/Linux et permet d'effectuer les tâches d'administration sur le système.

Cependant, ce compte n'est pas obligatoire. Vous pouvez, lors de l'installation, 
passer la configuration du compte "root" (laisser les champs vides pour le mot 
de passe) et ainsi éviter sa création.  
Dans ce cas, c'est le premier utilisateur enregistré au cours de 
l'installation qui prendra la place de "root".

> Euh oui ... et alors ?

Alors ça change les commandes à lancer pour administrer le système : dans ce 
manuel, à chaque fois qu'on vous demande de lancer une commande en "root", 
on utilise la commande "**su -**". Mais si vous n'avez pas créé pas de compte 
"root", il faudra passer par "**sudo**", la commande qui vous substitue à 
"root", et donner **votre mot de passe**.

**Pour résumer :**  
**si vous avez créé "root"**, pour passer une commande administrateur : 
lancer "**su -**" + le mot de passe administrateur + lancer la commande :

    su -
    > demande du mot de passe administrateur
    apt update && apt upgrade
    > exécution des commandes

**si vous n'avez pas créé "root"**, pour passer une commande administrateur : 
lancer "**sudo** + commande" + votre mot de passe utilisateur :

    sudo apt update && sudo apt upgrade
    > demande du mot de passe utilisateur
    > exécution des commandes

### Lire un DVD Commercial

Les DVD vendus dans le commerce sont "protégés contre la copie" et ne sont la 
plupart du temps pas lisibles sur des systèmes libres par défaut. Les éditeurs 
de DVD estiment que nous n'avons pas le droit, sur un système libre, de faire 
une copie privée de notre DVD acheté ... sans commentaire.

Pour remédier à cela, et si vous avez vraiment besoin de cette fonctionnalité, 
vous devez installer le paquet *libdvdcss2*. Ce paquet n’est pas présent dans les 
dépôts Debian par défaut mais peut être installé facilement par l’intermédiaire 
du paquet *libdvd-pkg*. Pour installer libdvd-pkg, pensez à activer le dépôt 
"contrib" ([chap.8.1.4](#modification-des-depots)).

Dans le Terminal en mode administrateur "root" :

    apt install libdvd-pkg && dpkg-reconfigure libdvd-pkg

Votre système Debian GNU/Linux est désormais capable de lire les DVD 
"protégés" du commerce et d'en réaliser des copies privées.

### Installez le pilote d'une carte graphique

Le système Debian GNU/Linux intègre des micrologiciels (firmwares) libres 
afin d'utiliser les chipsets (fonction graphique intégrée à la carte mère) ou 
cartes graphiques externes.

Depuis sa version 12 "Bookworm", Debian intègre par défaut une série de 
micrologiciels non-libres afin de faciliter la reconnaissance de votre matériel.  
L'installation d'un pilote propriétaire devient donc de moins en moins nécessaire.

![](img/misc/noob-info.png#left)  
**... Il faut un pilote pour gérer la carte de ma mère ??**  
Votre ordinateur est construit autour de votre "carte-mère", une plaque en 
plastique sur laquelle se fixent différents éléments dont votre processeur 
(le calculateur principal) ou votre "chipset graphique" (le calculateur de 
l'affichage, en gros).  
Afin d'envoyer les bonnes instructions à ces éléments, le noyau du système 
GNU/Linux (le programme qui gère les interactions entre le système 
d'exploitation et la machine) utilise des petits bouts de code appelés 
"micrologiciels". Le noyau Linux intègre par défaut une 
série de micrologiciels libres. Ces micrologiciels (firmwares) sont généralement 
suffisants pour assurer l'affichage, mais il arrive que des pilotes (drivers) 
propriétaires soient nécessaires pour optimiser votre résolution.

Vous pouvez tenter l'installation de pilotes propriétaires si en cours 
d'utilisation live ou sur votre système installé, vous constatez :

- une mauvaise résolution, une image étirée, déformée,
- un écran noir au démarrage alors que le système est bien installé sans erreurs,
- une mauvaise gestion des couleurs,
- une surchauffe excessive lors de la lecture de vidéos,
- un retour de veille capricieux...

Notez que l'installation de pilotes propriétaires est une *alternative 
propriétaire* donc **non suivie pas les développeurs Debian**. Si votre 
machine est très récente, n'hésitez pas à faire appel à la communauté avant 
de bidouiller ([chap.1.2](#trouver-de-laide)).

#### Perte de session graphique

Si à la suite d'une installation d'un pilote, vous vous retrouvez devant un 
écran noir, il faut revenir à la configuration précédente... *défaire* 
ce qui a été fait. Renseignez votre identifiant et votre mot de passe à 
l'invite de connexion, puis redémarrez proprement votre ordinateur avec un 
"**systemctl reboot**".  
Depuis le menu de démarrage GRUB, choisissez "Options avancées" puis la 
ligne "**recovery mode**".

![GRUB : options avancées](img/07-conf/20-recovery-1.jpg)

![GRUB : recovery mode](img/07-conf/21-recovery-2.jpg)

Le système se lance en console et vous invite à continuer la séquence 
de démarrage (en utilisant le raccourci [Ctrl]+d qui va quitter la console), 
ou à entrer le mot de passe administrateur, ce que vous faites :

![Recovery mode actif](img/07-conf/22-recovery-3.jpg)

**Échec du mode recovery** :  
Si vous n'avez pas configuré de compte "root" pendant l'installation 
([chap.3.8.3](#exemple-administrateur)) le mode recovery ne pourra pas être 
activé car il a besoin du compte et du mot de passe "root". Vous verrez 
apparaître cet écran :

![Échec du mode recovery](img/07-conf/23-recovery-fail.jpg)

Pour résoudre ce souci, il suffit d'ajouter un compte "root" avec son mot de 
passe. Ça tombe bien, vous avez les droits pour le faire grâce à "sudo"; Dans 
votre console, connectez-vous en tant que simple utilisateur avec votre mot de 
passe puis lancez la création du mot de passe "root" ainsi :

    user@debian-pc:~$ sudo passwd root
    [sudo] Mot de passe pour user :

C'est votre mot de passe qui vous est demandé. Vous renseignez ensuite le nouveau 
mot de passe pour "root" :

    Nouveau mot de passe :
    Retapez le nouveau mot de passe :

Et voilà, le compte "root" est désormais activé, vous pouvez recommencer 
l'opération et entrer en "mode recovery".

**Suppression du fichier de configuration xorg.conf** : 
Si lors de l'installation du pilote propriétaire, vous avez créé un 
fichier de configuration pour X situé dans /etc/X11/xorg.conf et/ou 
/etc/X11/xorg.conf.d/xxx.conf. Il faut le supprimer. Depuis 
votre console, et selon le fichier créé, supprimez-le avec "**rm**" :

    rm /etc/X11/xorg.conf.d/20-nvidia.conf

ici, la suppression du fichier pour **nvidia**, **!! à adapter à votre système !!**.

**Désinstallation des pilotes propriétaires** : 
De la même façon que vous avez installé un pilote, vous pouvez le supprimer, 
ici un exemple avec le pilote (driver) nvidia, **! à adapter à votre situation !** :

    apt remove nvidia-kernel-dkms nvidia-driver

**Redémarrez votre système** avec un simple **systemctl reboot**.

## Ajouter un utilisateur

![](img/apps/users.png#left)  
Si vous n'êtes pas le seul utilisateur de votre ordinateur, vous pouvez créer 
de nouveaux utilisateurs afin de **préserver vos données et vos préférences**. 
En ajoutant un utilisateur, vous allez créer un nouveau dossier dans votre 
système. Ce dossier, au nom du nouvel utilisateur, reprendra les paramètres 
par défaut livrés lors de l'installation.  
Il sera accessible en lecture (vous pouvez consulter les données de l'autre 
utilisateur), mais pas en écriture (vous ne pouvez pas créer ou modifier les données).  
Debian dispose d'outils graphiques pour effectuer cette tâche, mais 
vous pouvez aussi passer par le terminal et la commande "adduser" 
(décrite en fin de chapitre).

### Ajout d'un utilisateur en mode graphique

Chaque bureau propose sa façon d'ajouter un utilisateur, 
généralement située dans le menu "système" de votre environnement. 
Sur Gnome-Shell, il faut passer par le *menu-system* en haut à droite 
de l'écran, puis cliquez sur "Paramètres" :

![Lanceur pour les paramêtres utilisateur](img/07-conf/24-gnome-preferences-launcher-mini.jpg)

Dans la fenêtre qui s'ouvre, sélectionnez l'onglet "Utilisateurs" dans la colonne de gauche. 
Il vous permet de paramêtrer votre compte, activer la connexion automatique ou, ce qui nous 
intéresse, ajouter un utilisateur. Vous devrez déverrouiller l'application avant de modifier 
les paramètres du système.

![Paramètres des utilisateurs sous Gnome-Shell](img/07-conf/24-useradd-gui-01.jpg)

Le mot de passe administrateur vous sera demandé. Une fois déverrouillé, cliquez 
sur "Ajouter un utilisateur" :

![Ajouter un utilisateur](img/07-conf/25-useradd-gui-02.jpg)

![Configuration du nouvel utilisateur](img/07-conf/26-useradd-gui-03.jpg)

La fenêtre d'ajout s'affiche, renseignez les champs indiqués puis validez 
en cliquant sur "Ajouter". L'utilisateur est immédiatement visible dans les 
paramêtres après l'ajout.

![Liste des utilisateurs du système](img/07-conf/27-useradd-gui-04.jpg)

Notez que si vous avez configuré une connexion automatique pour le premier 
utilisateurs, vous devrez "quitter la session" ou "changer d'utilisateur" 
pour vous connecter avec votre nouvel utilisateur.

### Ajout d'un utilisateur avec le terminal

Ouvrez un terminal en mode administrateur (voir 
[chap.3.8.3](#exemple-administrateur)) puis entrez la commande **adduser** qui va 
créer le nouvel utilisateur. Notez que vous devez renseigner ici l'**identifiant** 
et pas le *nom complet* (il vous sera demandé plus tard). La syntaxe est simple et 
du type "adduser identifiant_du_nouvel_utilisateur".

La création de l'utilisateur commence et vous devez renseigner son mot de 
passe (deux fois pour confirmer ; rien ne s'affiche, c'est normal).

    root@debian:~# adduser dave
    Ajout de l'utilisateur "dave" ...
    Ajout du nouveau groupe "dave" (1002) ...
    Ajout du nouvel utilisateur "dave" (1002) avec le groupe "dave" ...
    Création du répertoire personnel "/home/dave" ...
    Copie des fichiers depuis "/etc/skel" ...
    Entrez le nouveau mot de passe UNIX : 

Une fois l'utilisateur créé, passons aux informations complémentaires. Vous 
pourrez indiquer ici le nom complet de l'utilisateur, son numéro de poste au 
travail, ses numéros de téléphones pro et perso ainsi qu'une ligne "autre" 
permettant d'ajouter un commentaire. Une fois fait, une confirmation s'affiche. 
Si les informations vous conviennent, appuyez sur [Enter] ou [Entrée] ou
la touche 'O' (la lettre, pas le chiffre) pour finaliser la création du
nouvel utilisateur :

    Entrez le nouveau mot de passe UNIX : 
    Retapez le nouveau mot de passe UNIX : 
    passwd : le mot de passe a été mis à jour avec succès
    Modification des informations relatives à l'utilisateur dave
    Entrez la nouvelle valeur ou "Entrée" pour conserver la valeur proposée
            Nom complet []: david vincent
            N° de burau []:
            Téléphone professionnel []:
            Téléphone personnel []:
            Autre []:
    Cette information est-elle correcte ? [O/n] O

Le nouvel utilisateur pourra se connecter avec son identifiant et son mot 
de passe au lancement de votre système. Il pourra stocker ses données, 
configurer son environnement sans risques pour vos données et vos préférences.

![La geekette de Péhä cc-by-sa](img/peha/geekerieeyes-modarp-220.png){.logo}
