# ![](img/nav42/admin.png) Administrez votre système

## Les sources de logiciels

![](img/apps/software.png#left)  
Debian GNU/Linux utilise le principe des dépôts en ligne pour fournir les 
applications. Ce principe permet de centraliser les logiciels et vous permet 
d'utiliser des interfaces simples pour administrer et/ou faire évoluer votre 
système : vous n'avez pas besoin de visiter les sites de logiciels.

### Le fichier sources.list

Les adresses internet des dépôts Debian sont inscrites dans le fichier 
**/etc/apt/sources.list** et les fichiers du type **/etc/apt/sources.list.d/xxx.list**.

Pour éditer le fichier sources.list, les commandes suivantes peuvent être utilisées 
(en mode administrateur) :

    apt edit-sources
    nano /etc/apt/sources.list

![Le fichier sources.list par défaut pour Debian 12](img/08-admin/01-sources-list.jpg)

Détails des différentes informations du sources.list (les "#" sont des commentaires 
et ne sont pas lus par le système) :

- "deb" : indique que le dépôt renseigné est un dépôt de *binaires* 
(le logiciel lui-même)
- "deb-src" : indique que le dépôt renseigné est un dépôt de *sources* 
(les fichiers utilisés pour la compilation du logiciel lui-même)
- "http:..." ou "https:..." : l'adresse du serveur du dépôt
- "bookworm", "bookworm-security" : la branche du dépôt
- "main", "non-free-firmware" : les sections du dépôt

![](img/misc/noob-info.png#left) 
**... Pourquoi "bookworm" et non "stable" puisque le système est basé sur Debian Stable ??**  
"**bookworm**" est le nom précis de la version installée du système. Il fixe une 
certaine version pour chaque paquet intégré dans les dépôts "bookworm" (la version 
générique du noyau utilisé par exemple).  
"**stable**" est le nom générique de la version actuellement stable.  
Pour l'instant, Debian 12 "bookworm" est la version "stable", donc vous pourriez utiliser 
l'une ou l'autre des dénominations. Mais lorsque la version "stable" deviendra Debian 13 
"Trixie", alors la version "Bookworm" passera en "oldstable" (ancienne stable).

Employer le nom précis de votre version vous permet de contrôler la mise à jour 
complète de votre système en version supérieure et de maîtriser le moment de la 
mise à jour complète du système. Pas comme sur certains systèmes qui imposent 
la mise à jour  
Pour plus de détails, je vous invite à visiter la page dédiée du wiki Debian 
[https://www.debian.org/releases/index.fr.html](https://www.debian.org/releases/index.fr.html)

### À propos des dépôts, branches, sections

Debian organise ses applications au sein de dépôts. Ces dépôts sont divisés en 
branches et en sections. Pour en savoir plus sur les branches "testing" ou 
"unstable", rendez-vous au [chapitre 8.9](#qui-cest-ce-sid). En revanche, 
un mot sur les sections de dépôts.

Il existe 4 sections pour les dépôts officiels :

- section **main** : conforme à DFSG sans dépendance vers "non-free"
- section **non-free-firmware** : micrologiciels non-libres intégrés par défaut depuis Debian 12
- section **contrib** : conforme à DFSG mais avec des dépendances vers "non-free"
- section **non-free** : non conforme à DFSG

**DFSG** (**D**ebian **F**ree **S**oftware **G**uidelines) : principes du 
logiciel libre selon Debian 
([https://www.debian.org/social_contract.fr.html#guidelines](https://www.debian.org/social_contract.fr.html#guidelines))

Seuls les paquets proposés dans la section **main** sont officiellement supportés 
par le projet Debian et 100% libres. Ceux proposés dans *contrib*, *non-free* et 
*non-free-firmware* ne le sont pas (ou pas totalement).

Ceci-dit, et selon votre type de matériel, il est possible que certains services 
ne puissent fonctionner sans pilotes spécifiques (propriétaires). Dans ce cas, 
vous devrez modifier le fichier /etc/apt/sources.list (les détails dans le 
chapitre suivant).

- Plus de détails sur les versions de Debian dans le wiki Debian : 
[https://wiki.debian.org/fr/DebianReleases](https://wiki.debian.org/fr/DebianReleases).
- Pour les détails du sources.list, c’est par ici : 
[https://wiki.debian.org/fr/SourcesList](https://wiki.debian.org/fr/SourcesList).
- Pour une documentation complète sur la gestion des paquets Debian, c’est par là : 
[https://www.debian.org/doc/manuals/debian-reference/ch02.fr.html](https://www.debian.org/doc/manuals/debian-reference/ch02.fr.html).

### Les backports ou le rétro-portage des paquets

Debian dispose de dépôts particuliers nommés **backports** qui contiennent 
des **versions plus récentes** de certaines applications. Ces dépôts ne sont 
pas activés par défaut, mais ils ne présentent pas de risques particuliers pour 
votre système : les dépôts "réguliers" restent prioritaires lors des mises à 
jour, seules les applications explicitement installées depuis les backports 
puiseront dans ces dépôts spécifiques.

![](img/misc/noob-info.png#left)  
**... c'est des trucs par derrière les "backports" ?**  
Non, rien à voir avec les "*backdoors*" (portes dérobées) servant à espionner votre 
machine sur les systèmes propriétaires.  
**Backport** ou **Rétro-portage** est un mécanisme qui permet d'adapter 
(de *porter*) une application présente dans les dépôts de développement Debian, 
pour la rendre utilisable sur une version "stable".  
Par exemple, les développeurs Debian prennent une version récente de LibreOffice 
dans les dépôts de développement, et re-compilent (fabriquent) le paquet 
contenant l'application en prenant en compte les dépendances présentes dans la 
version stable.

Pour plus d'informations sur les backports, vous pouvez consulter la documentation 
Debian à ce sujet : 
[https://wiki.debian.org/fr/Backports](https://wiki.debian.org/fr/Backports).

Si vous recherchez une application vous avez deux solutions : utiliser l'outil 
de recherche 
([https://backports.debian.org/Packages/](https://backports.debian.org/Packages/)) [en] 
ou la recherche par catégorie 
([https://packages.debian.org/fr/bookworm-backports/](https://packages.debian.org/fr/bookworm-backports/)).

### Modification des dépôts

Avant de modifier les sources des logiciels de votre système, vous devez être 
conscient des risques lors de l'utilisation des sections *non-free* et *contrib*.

- l'absence de liberté pour de tels paquets de logiciel;
- l'absence de suivi de la part de Debian pour de tels paquets de logiciel 
(Debian ne peut pas suivre correctement un logiciel sans avoir accès à son code source);
- la contamination de votre système Debian totalement libre.

Maintenant que vous savez que les "non-free" tuent les lapins roses, reprenons :

Pour modifier simplement vos dépôts, il suffit d'éditer le fichier sources.list. 
Ouvrez un terminal puis lancez cette commande en tant qu'administrateur 
([chap.3.8.3](#exemple-administrateur)) :

    apt edit-sources

qui ouvrira le fichier approprié avec votre éditeur de texte par défaut 
(nano ou vim). Une fois vos modifications effectuées, sauvegardez le fichier 
([Ctrl]+'x' sous nano et ':wq' sous vim 
[https://debian-facile.org/doc:editeurs:vim:vim](https://debian-facile.org/doc:editeurs:vim:vim)).

**Exemple de ligne pour les paquets libres :**

    deb http://deb.debian.org/debian/ bookworm main

**Exemple de ligne pour les paquets libres et les paquets propriétaires :**

    deb http://deb.debian.org/debian/ bookworm main contrib non-free non-free-firmware

Vous pourrez désormais piocher dans les 4 sections de logiciels et installer 
des pilotes (drivers) ou des codecs non-libres.

Notez que vous pouvez aussi modifier vos sources de logiciels depuis le 
gestionnaire de paquet Synaptic en graphique 
([chap.8.5](#synaptic-le-gestionnaire-de-paquets-complet-pour-debian)).

## Apt dans un terminal

![](img/apps/terminal.png#left)  
Cette section présente les commandes de base pour gérer les paquets sur Debian 
avec **APT** (**A**dvanced **P**ackage **T**ool) depuis votre émulateur de terminal.

Debian peut également utiliser "aptitude", un autre gestionnaire de paquets 
avec une syntaxe et un comportement différents. Ce manuel étant destiné aux 
débutants, nul besoin de ces commandes ici : pour en savoir plus, visitez 
la page dédiée 
([https://wiki.debian.org/fr/Aptitude](https://wiki.debian.org/fr/Aptitude)) 
du wiki Debian.

### Les commandes 'utilisateur' de recherche et d'information

Ces commandes sont lancées en tant que simple utilisateur car elles 
n'affectent pas votre système.

Commande                 Description
------------------------ -------------------------------------------------
apt show *toto*          Afficher les informations du paquet *toto*
apt search *toto*        Rechercher les paquets qui correspondent à *toto*
apt-cache policy *toto*  Affiche les versions disponibles de *toto*

### Les commandes 'administrateur' de maintenance

Ces commandes nécessitent les droits de l'administrateur "root" car elles 
affectent votre système. Pour passer en mode administrateur depuis un terminal, 
lancez simplement "**su -**" : le mot de passe administrateur vous sera demandé.

Commande             Description
-------------------- ------------------------------------------------------------------------
apt update           Mise à jour des métadonnées des dépôts.
apt install *toto*   Installation du paquet *toto* avec ses dépendances.
apt upgrade          Mise à jour sécurisée des paquets installés (sans suppression).
apt full-upgrade     Mise à jour des paquets installés en installant ou supprimant d'autres
                     paquets si nécessaire.
apt remove *toto*    Supprimer le paquet *toto* en laissant ses fichiers de configuration.
apt autoremove       Supprimer les paquets inutiles mais installés automatiquement.
apt purge *toto*     Purger le paquet *toto* ainsi que ses fichiers de configuration.
apt clean            Nettoyer le cache local des paquets installés.
apt autoclean        Nettoyer le cache des fichiers des paquets périmés.
apt-mark showmanual  Passe un paquet en "installé manuellement".

Pour le détail des commandes et les correspondances apt/aptitude, visitez 
la page dédiée du manuel Debian 
([https://www.debian.org/doc/manuals/debian-reference/ch02.fr.html](https://www.debian.org/doc/manuals/debian-reference/ch02.fr.html)).

**Tout-en-une !** Mettre à jour les infos des dépôts + mettre à jour votre 
système + nettoyer les paquets en cache simplement avec une commande en mode 
administrateur :

    apt update && apt full-upgrade && apt autoclean

Et pour supprimer les paquets inutiles, les dépendances obsolètes et les 
fichiers de configuration en mode administrateur :

    apt autoremove --purge

Comme quoi, gérer son système avec le terminal, c'est pas si compliqué. 
![](img/smile/wink.png)

## Logiciels : le gestionnaire de paquets simplifié

![](img/apps/logiciels.png#left)  
**Logiciels** est un gestionnaire simplifié pour les applications Debian. Il 
permet de rechercher, installer, supprimer ou mettre à jour les paquets 
logiciels contenant vos applications. Vous le trouverez dans la catégorie 
"Système" de vos menus, dans le dock de Gnome-Shell, ou directement depuis 
la zone de recherche Gnome en tapant "Logiciels".

![Logiciel : l'interface par défaut sur Debian.](img/08-admin/02-logiciels.jpg)

### Recherchez avec Logiciels

Directement depuis le bouton de recherche en forme de loupe, ou en cliquant sur 
une des catégories affichées :

![Logiciels : rechercher une application avec son nom.](img/08-admin/03-logiciels-search.jpg)

### Installez avec Logiciels

**Installez une application** simplement en cliquant sur sa fiche, puis 
"Installer". Le mot de passe administrateur sera demandé. Vous pourrez suivre 
la progression dans la fenêtre principale puis lancer directement l'application 
nouvellement téléchargée.

![Logiciels : sélectionner un logiciel pour installation.](img/08-admin/04-logiciels-install-1.jpg)

![Logiciels : mot de passe demandé pour l'installation.](img/08-admin/05-logiciels-install-2.jpg)

![Logiciels : lancement de l'installation.](img/08-admin/06-logiciels-install-3.jpg)

![Logiciels : installation réussie, vous pouvez lancer directement votre logiciel.](img/08-admin/07-logiciels-install-4.jpg)

### Supprimez avec Logiciels

**Désinstaller une application** simplement en visitant la catégorie "Installées" 
(en haut de l'interface) puis en cliquant sur le bouton prévu. Une confirmation 
vous sera demandée :

![Logiciels : sélectionner un logiciel pour suppression.](img/08-admin/08-logiciels-remove-1.jpg)

![Logiciels : confirmation de la suppression.](img/08-admin/09-logiciels-remove-2.jpg)

### Mise à jour avec Logiciels

**Mettre à jour son système** depuis la section dédiée "Mises à jour" qui 
vous indiquera la/les mise(s) à jour disponible(s) et/ou déjà téléchargée(s). 
Si aucune mise à jour n'est disponible, vous pouvez vérifier les dépôts grâce au 
bouton dédié en haut à gauche.  
![](img/08-admin/10-logiciels-upgrade-refresh.jpg)  
Dans notre exemple, une mise à jour incluant la "mise à jour du système 
d'exploitation" exige un redémarrage. On commence par télécharger les paquets 
à mettre à jour :

![Logiciels : onglet des mises à jour](img/08-admin/10-logiciels-upgrade-1.jpg)

Il vous reste alors à redémarrer en cliquant sur le bouton dédié.

![Logiciels : télécharger les mises à jour](img/08-admin/11-logiciels-upgrade-2.jpg)

![Logiciels : redémarrer pour appliquer les mises à jour](img/08-admin/12-logiciels-upgrade-3.jpg)

Notez que pour des mises à jour moins importantes, le redémarrage ne sera 
pas nécessaire.

Après redémarrage, une fenêtre affichée sur le bureau précise que 
l’installation a bien été effectuée.

![Logiciels : notification de mise à jour réussie](img/08-admin/13-logiciels-upgrade-4.jpg)

### Modifier les dépôts avec Logiciels

L'application "Logiciels" est simplifiée mais vous permet tout de même de 
configurer vos dépôts graphiquement. Depuis le menu, choisissez "Dépôts de 
logiciels". Vous pourrez ajouter les sources "non-libres" et/ou définir la 
fréquence d'interrogation des dépôts. Les informations reprennent les adresses 
de votre fichier sources.list ([chap.8.1.1](#le-fichier-sources.list)).

![Logiciels : menu des dépôts](img/08-admin/14-logiciels-menu-depots.jpg)

![Logiciels : modification des dépôts](img/08-admin/15-logiciels-depots-1.jpg)

Une fois vos dépôts modifiés, vous devez recharger les informations des 
paquets. Un message vous y invite :

![Logiciels : actualiser les informations sur les paquets](img/08-admin/17-logiciels-depots-3.jpg)

![Logiciels : le cache se recharge](img/08-admin/18-logiciels-depots-4.jpg)

### Mises à jour automatiques avec Logiciels

Pour profiter de votre système sans vous soucier des mises à jour, vous pouvez 
activer les **mises à jour automatiques**. Depuis le menu "Logiciels", sélectionnez 
"Préférences de mises à jour". Les entrées sont explicites :

![Logiciels : menu des préférences](img/08-admin/19-logiciels-menu-update.jpg)

![Logiciels : mises à jour automatiques](img/08-admin/20-logiciels-update-rules.jpg)

## Discover : la logithèque KDE

![](img/apps/discover.png#left)  
Gnome utilise "**Logiciels**" pour gérer les applications de manière simplifiée, 
KDE intègre "**Discover**", une logithèque intuitive et efficace.

Discover vous permet de rechercher, installer, supprimer ou mettre à jour 
vos applications depuis une unique interface. Vous pourrez également modifier 
vos sources de logiciels afn d'installer - ou pas - des applications non-libres.

**Discover** se lance simplement depuis le menu principal KDE > Applications > 
Système > Logithèque :

![Lanceur de la logithèque KDE](img/08-admin/21-kde-discover-launcher.jpg)

![Page d'accueil de la logithèque KDE](img/08-admin/22-kde-discover.jpg)

N'hésitez pas à parcourir l'application, une confirmation vous sera demandée 
pour toute modification de vos paquets.

### Rechercher et installer avec Discover

Pour trouver une application, tapez son nom dans le champ de recherche dédié ou 
visitez les catégories de la logithèque. Un clic sur le bouton "Installer" suffit :

![Discover : rechercher un logiciel](img/08-admin/23-kde-discover-search.jpg)

![Discover : visiter les catégories](img/08-admin/24-kde-discover-categories.jpg)

Une confirmation vous sera demandée pour toute action sur les logiciels ainsi que 
le mot de passe administrateur. Le processus sera ensuite lancé en arrière-plan. 
Vous pourrez suivre la progression des modifications depuis la zone de 
notification de KDE.

### Installer des modules complémentaires KDE

Discover vous permet d'ajouter des composants additionnels à votre environnement 
Plasma. Pour cela, visitez la section "Modules complémentaires Plasma".

![Discover : liste des modules complémentaires pour Plasma](img/08-admin/25-kde-discover-modules-plasma.jpg)

Des modules complémentaires sont aussi disponibles pour vos applications :

![Discover : modules complémentaires d'application](img/08-admin/26-kde-discover-modules-apps.jpg)

### Supprimer une application avec Discover

Pour désinstaller un logiciel, visitez la section "Installés", puis supprimez 
le logiciels avec le bouton dédié. Une confirmation vous sera demandée :

![Discover : suppression d'un paquet](img/08-admin/27-kde-discover-installed.jpg)

### Mise à jour avec Discover

![Notification de la mise à jour sur KDE](img/08-admin/28-kde-update-01-notify.jpg)

Lorsque KDE vous notifie une ou plusieurs mises à jour, c'est "Discover" qui 
se lance pour les effectuer. Pour vérifier "manuellement" les mises à jour, cliquez 
simplement sur le bouton adéquate dans l'interface de Discover :

![Discover : vérifier les mises à jour](img/08-admin/30-kde-update-check.jpg)

Il vous suffit alors de cliquer sur "Tout mettre à jour" puis de confirmer 
l'opération avec le mot de passe administrateur. Vous pourrez suivre la progression 
de la mise à jour directement dans l'interface de "Discover" :

![Discover : lancement de la mise à jour](img/08-admin/31-kde-update-03-update.jpg)

![Discover : mot de passe demandé pour la mise à jour](img/08-admin/32-kde-update-04-password.jpg)

![Discover : progression de la mise à jour](img/08-admin/33-kde-update-05-updating.jpg)

Comme pour la gestion des logiciels, vous pourrez suivre le processus depuis 
la zone de notification de KDE. Un message vous informera de la fin du processus. 

![Discover : mise à jour effectuée](img/08-admin/34-kde-update-06-updated.jpg)

### Modifier les dépôts avec Discover

La logithèque de KDE vous permet de modifier les sources de vos applications sans 
utiliser le terminal. Direction la section "Paramètres" de Discover, les entrées 
reprennent les adresses des dépôts de votre *sources.list* :

![Discover : modification des sources](img/08-admin/35-kde-discover-sources.jpg)

## Synaptic : le gestionnaire de paquets complet pour Debian

![](img/apps/synaptic.png#left)  
**Synaptic** est l'interface graphique complète de votre gestionnaire de paquets 
Debian. Il vous permet une vision totale des paquets proposés, installés ou non. 
Il est beaucoup plus détaillé que "Logiciels" ou "Discover" (décrits dans les 
chapitres précédents) puisqu'il affiche l'**intégralité** des paquets disponibles 
(bibliothèques incluses).

- Il fournit les mêmes fonctions que l'outil apt.
- Vous aurez besoin du mot de passe de l'administrateur pour ouvrir et utiliser 
Synaptic.
- Une connexion internet active est nécessaire pour mettre à jour ou 
installer vos logiciels.

### Synaptic : interface principale

![Synaptic : interface par défaut du gestionnaire de paquets](img/08-admin/36-synaptic.jpg)

La fenêtre de Synaptic se découpe en 4 zones : la barre d'outils en haut, le volet 
de gauche qui permet de filtrer les paquets, la zone qui contient la liste des 
paquets et en dessous la zone où s'affiche la description d'un paquet sélectionné 
avec un clic.

Devant chaque paquet on remarque un petit carré. Un carré blanc pour les paquets non 
installés, un vert pour les paquets installés et un rouge pour les paquets cassés. 
Une étoile désigne un paquet pouvant être mis à jour.  
N'hésitez pas à cliquer sur tous les menus pour explorer et vous familiariser 
avec Synaptic. C'est un bon moyen de découvrir ses nombreuses fonctions. 
N'ayez pas peur pour votre système, rien ne sera fait sans avoir cliqué sur 
"Appliquer" : un message de confirmation vous sera toujours demandé.

**La première chose à faire** au lancement de Synaptic est de **cliquer sur 
"Recharger"** afin de vérifier les informations sur les dépôts et les 
applications disponibles sur les serveur Debian. Vous devez être connecté au réseau.

![Synaptic : recharger les informations sur les paquets](img/08-admin/37-synaptic-recharger.jpg)

### Gestion des dépôts avec Synaptic

Les dépôts permettent de mettre à jour vos applications et d'installer des 
paquets supplémentaires. Ils ont été configurés lors de l'installation mais 
vous pouvez les modifier à tout moment selon vos besoins.  
Ouvrez le gestionnaire de paquets Synaptic (à partir du menu Système > 
Gestionnaire de paquets Synaptic). Dans le menu de Synaptic, cliquez sur 
"Configuration" puis "Dépôts".


![Synaptic : menu des dépôts](img/08-admin/38-synaptic-depots-1.jpg)

![Synaptic : modification des sources](img/08-admin/39-synaptic-depots-2.jpg)

Les informations reprennent celles du fichier /etc/apt/sources.list cité au 
[chapitre 8.1.1](#le-fichier-sources.list). Il ne vous reste plus qu'à modifier 
vos sources de dépôts à votre convenance. Cliquez simplement sur une source 
pour la modifier.  
Vous serez invités à recharger la liste des dépôts pour que les modifications 
soient prises en compte.

Notez que si vous souhaitez utiliser une interface "à cocher" sur un bureau 
Xfce, LXDE ou LXQt, il suffit d'installer le paquet "software-properties-gtk".

![Synaptic : gestion graphique des sources](img/08-admin/40-synaptic-depots-gtk.jpg)

### Mise à jour du système avec Synaptic

Avant de mettre votre système à jour, il est nécessaire de "Recharger" la 
liste des paquets en cliquant sur l'icône correspondante ou en allant dans le 
menu "Édition > Actualiser la liste des paquets" (ou encore [Ctrl]+'r' si vous 
préférez utiliser le raccourci clavier). Cette action permet d'aller vérifier 
si la version des paquets présents sur votre machine est bien la plus récente.

![Synaptic : vérification des dépôts](img/08-admin/37-synaptic-recharger.jpg)

Ensuite cliquez sur "Tout mettre à niveau" ou menu  "Édition > Sélectionner 
la totalité des mises à jour". Si après avoir cliqué sur "Tout mettre à niveau", 
aucune fenêtre n’apparaît, c’est que votre système est à jour ! Vous pouvez 
refermer Synaptic.

Si des paquets à installer ou mettre à jour sont disponibles, ceux-ci sont précisés.  
Vous pouvez les visualiser en sélectionnant la rubrique "État" > "installés 
(pouvant être mis à jour)" :

![Synaptic : liste des paquets à mettre à jour](img/08-admin/42-synaptic-upgrade-1.jpg)

Une fenêtre apparaît avec la liste des paquets qui vont être mis à jour et 
les dépendances additionnelles si nécessaires.

![Synaptic : ajout des dépendances](img/08-admin/43-synaptic-upgrade-2.jpg)

Il ne vous reste plus qu’à cliquer sur "Ajouter à la sélection", puis sur le 
bouton "Appliquer" (3ème icône dans le menu de Synaptic). Une confirmation 
vous sera demandée :

![Synaptic : appliquer la mise à jour](img/08-admin/44-synaptic-upgrade-3.jpg)

![Synaptic : confirmation des modifications](img/08-admin/45-synaptic-upgrade-confirm.jpg)

La mise à jour commence avec le téléchargement des paquets, puis l'installation :

![Synaptic : téléchargement des paquets](img/08-admin/46-synaptic-upgrading.jpg)

Un message vous informe en fin de processus :

![Synaptic : système à jour](img/08-admin/47-synaptic-upgraded.jpg)

### Rechercher un logiciel

**Si vous connaissez le nom du paquet** ou cherchez quelque chose de précis, 
cliquez sur le bouton dédié *Rechercher* en haut à droite de la fenêtre principale 
et entrez vos mots clé de recherche dans la fenêtre qui apparaît.

![Synaptic : rechercher une application](img/08-admin/48-synaptic-rechercher.jpg)

**Si vous ne connaissez pas le nom du paquet** dont vous avez besoin, vous 
pouvez parcourir la liste en filtrant par catégorie, état, origine, etc.

Exemple si vous cherchez un jeu, cliquez sur "catégorie" dans le volet de gauche 
puis faites défiler jusqu'à "jeux et divertissements" (encore un clic) et tous 
les paquets concernant les jeux et divertissements s'affichent.

### Installer une application avec Synaptic

**Pour installer** un ou plusieurs paquets, un clic-droit sur la petite case 
devant le nom du paquet et "Sélectionner pour installation".

![Synaptic : sélectionner un paquet pour installation](img/08-admin/49-synaptic-install-select.jpg)

Si le paquet nécessite l'installation d'autres paquets pour fonctionner (les 
dépendances), ceux-ci seront automatiquement ajoutés à la sélection et vous 
serez prévenus :

![Synaptic : liste des dépendances pour l'installation](img/08-admin/50-synaptic-install-changements.jpg)

Il ne reste plus qu'à cliquer sur "**Appliquer**" et confirmer le récapitulatif 
des changements à appliquer.

![Synaptic : appliquer les changements](img/08-admin/51-synaptic-appliquer.jpg)

![Synaptic : récapitulatif des changements en attente](img/08-admin/52-synaptic-install-confirm.jpg)

Les paquets sont alors téléchargés et installés. Vous pouvez suivre le processus
directement dans l'interface de Synaptic :

![Synaptic : téléchargements de paquets à installer](img/08-admin/53-synaptic-installing.jpg)

![Synaptic : fin de l'installation des paquets](img/08-admin/54-synaptic-success.jpg)

#### Ré-installer une application

Il arrive parfois que l'on veuille ré-installer un paquet qui l'est déjà, dans 
ce cas choisissez l'option "Sélectionner pour réinstallation". Cela permet, 
par exemple, de mettre à jour la configuration par défaut d'une application.

### Désinstaller une application avec Synaptic

Comme pour l'installation, un clic-droit sur la case devant le nom du paquet et 
"Sélectionner pour suppression". Cliquez sur "Appliquer".

**La suppression simple** conserve les fichiers de configuration des paquets 
dans votre système, au cas où vous souhaiteriez les réinstaller.

**Pour supprimer aussi les fichiers de configuration**, il faut utiliser le 
choix "sélectionner pour suppression complète" (équivaut à "purge" en 
ligne de commande dans un terminal).

![Synaptic : sélection d'un paquet à supprimer](img/08-admin/55-synaptic-remove.jpg)

#### Nettoyer les paquets inutiles depuis Synaptic

Les applications de votre système fonctionnent sur le principe des dépendances : 
certains paquets ont besoins d'autres paquets pour fonctionner correctement.  
Lors de la suppression d'une application, les dépendances ne sont pas toujours 
supprimées. Pour vérifier et désinstaller au besoin les paquets inutiles, on 
utilise les filtres de Synaptic.

Lancez Synaptic puis sélectionnez "État" dans les filtres en bas à gauche. Si la 
ligne "Installés (pouvant être supprimés)" est présente, on la sélectionne 
pour afficher les paquets à supprimer :

![Synaptic : paquets inutiles](img/08-admin/56-synaptic-suppress.jpg)

Il reste alors à sélectionner les paquets listés puis d'un clic-droit 
choisir "Sélectionner pour suppression complète", puis "Appliquer".

#### Supprimer les résidus de configuration avec Synaptic

Certaines applications utilisent des fichiers de configuration qui peuvent rester 
en place même après la suppression de l'application. Comme pour les paquets 
inutiles (chapitre précédent), on utilise synaptic pour vérifier et supprimer 
les fichiers résiduels.  
Lancez Synaptic, choisissez le filtre "État" puis, si vous voyez "Non installés 
(résidus de configuration)", sélectionnez l'entrée afin de nettoyer les fichiers 
listés (clic-droit > Sélectionner pour suppression complète).

![Synaptic : résidus de configuration](img/08-admin/57-synaptic-residus.jpg)

### Voir les détails complets d'un paquet dans Synaptic

En cliquant sur un paquet on obtient la description du dit paquet dans le volet 
bas de Synaptic. Pour encore plus d'informations, vous pouvez afficher les 
propriétés du paquet avec un clic-droit:propriétés, ou en passant par le 
menu "Paquet".

Vous saurez ainsi tout, absolument tout sur le paquet : dépendances, 
fichiers installés , espace occupé et version.

### Préférences de Synaptic

Catégorie qui porte bien son nom. Comme dans la plupart des applications, la 
fameuse section "Préférences"... **Mais gardez à l'esprit que Synaptic n'est pas 
un logiciel comme les autres :** il gère tous les programmes installés sur votre système.

La fenêtre des préférences présente 6 onglets et se lance depuis 
le menu "Configuration > Préférences" :

![Synaptic : fenêtre des préférences](img/08-admin/58-synaptic-preferences.jpg)

- **Général :** les entrées sont explicites. Note : il est possible de décocher 
la case "traiter les paquets recommandés comme des dépendances". Si cela peut 
être utile lorsque l'on souhaite garder un système ultra-léger, cela peut aussi 
poser des problèmes lors des installations futures de nouveaux paquets. Cette 
option est donc à manipuler avec précaution.
- **Colonnes et polices :** permet d'afficher/masquer certaines colonnes dans 
la liste des paquets et d'ajuster la police de caractères si besoin.
- **Couleurs :** choisissez ici les couleurs respectives des paquets selon leur état.
- **Fichiers :** lorsque vous installez un logiciel, il est tout d'abord stocké 
*en cache* dans un répertoire de votre système avant d'être décompressé et installé. 
Ces paquets peuvent prendre de la place au fur et à mesure de votre utilisation. 
Ici, vous pourrez les supprimer ou configurer une action automatique.
- **Réseau :** la façon dont Synaptic est connecté à internet. Si votre situation 
demande de modifier ces paramètres, vous le saurez :)
- **Distribution :** comment s'effectuent les mises à jour. Explicite. 
**Dans le doute, ne pas modifier**.


**Rappel :** le terminal ([chap.8.2](#apt-dans-un-terminal)) peut faire tout ça 
bien plus vite et avec moins de manipulations ![](img/smile/wink.png).

## Nettoyer votre système

![](img/apps/clean.png#left)  
Même si la capacité des disques durs a largement augmenté ces dernières années, 
vous pouvez avoir besoin de place sur votre système. Il existe quelques scripts 
automatisant le nettoyage du système, mais j'avoue préférer vérifier avant 
d'utiliser **rm** (pour **r**e**m**ove. 
[chap.11.2](#actions-sur-les-fichiersdossiers)).

### Informations sur l'espace disque

La première chose à faire est bien sûr de connaître l'espace utilisé sur votre 
disque. Plusieurs outils sont à votre disposition, à commencer par votre terminal :

**-- Espace disponible --**  
Un aperçu de l'espace disponible selon vos 
points de montage (disques et partitions) grâce à la commande **df -h** :

    user@debian-pc:~$ df -h
    Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur
    udev               983M       0  983M   0% /dev
    tmpfs              200M    8,1M  192M   5% /run
    /dev/sda1           48G     16G   30G  35% /
    tmpfs              998M       0  998M   0% /dev/shm
    tmpfs              5,0M    4,0K  5,0M   1% /run/lock

**-- Lister les répertoires selon leur taille --**  
Afficher vos dossiers volumineux grâce à **du** et **sort** (l'unité est le megabytes) :

    user@debian-pc:~$ du -ms * | sort -nr
    585  Musique
    281  Vidéos
    232  Documents
    42   Images
    26   Téléchargements
    1    Bureau

**-- Ncdu --**  
Un analyseur d'espace disque en console avec une navigation au 
clavier qui permet de visiter les répertoires facilement. Pour le lancer, tapez 
simplement "**ncdu**" dans votre terminal. Pour l'installer (en root) :

    apt update && apt install ncdu

![Ncdu lancé dans le répertoire utilisateur](img/08-admin/59-ncdu.jpg)

**-- Baobab --**  
Un analyseur d'espace disque en mode graphique intégré à Gnome. 
Vous pouvez toutefois l'installer sur un autre environnement (en root) :

    apt update && apt install baobab

![Baobab : analyseur d'espace disque pour Gnome](img/08-admin/60-baobab.jpg)

### Nettoyage des paquets

**Apt**/aptitude/dpkg sont les utilitaires courants de gestion des paquets sur 
Debian. Lorsque vous installez un paquet, son archive-source/deb est stockée sur 
votre système (dans /var/cache/apt/archives/) en vue d'une réinstallation 
éventuelle hors liaison internet. Pour nettoyer le **cache apt**, une simple 
commande en mode administrateur ([chap.3.8.3](#exemple-administrateur)) :

    apt clean

Une fois le cache des paquets installés nettoyé, vous pouvez aussi éliminer les 
paquets inutiles sur votre système, ainsi que leurs fichiers de configuration. 
**Attention !** Pensez à bien vérifier la liste des paquets prévus pour être 
supprimés avant de valider :

    apt autoremove --purge

Si vous avez effectué une montée en version de votre système, il est possible que 
certains paquets ne soient plus disponibles sur les nouveaux dépôts : il sont obsolètes. 
Afin de lister puis supprimer ces paquets, toujours avec **apt** et toujours en 
**vérifiant** la liste des paquets prévus pour ètre supprimés :

    apt list '?obsolete'
    apt remove '?obsolete'

Enfin, pour lister et purger les fichiers de configuration restés en place malgré la 
suppression d'applications, vous pouvez utiliser ces commandes :

    dpkg --list | awk '/^rc/ {print $2}'
    apt purge $(dpkg --list | awk '/^rc/ {print $2}')

Pour les plus maniaques, vous pouvez installer l'outil **deborphan** qui liste 
les paquets *orphelins* de votre système : ceux dont aucun autre paquet ne dépend. 
**Attention !** Prenez soin de bien vérifier la liste des paquets avant de les supprimer.

    apt install deborphan                # installer deborphan
    echo $(deborphan)                    # lister les paquets orphelins
    apt autoremove --purge $(deborphan)  # supprimer les paquets orphelins

### Vider les corbeilles

Trois types de corbeilles sont à prendre en compte :

**La corbeille utilisateur** : ~/.local/share/Trash/ . Vous pouvez la vider 
depuis votre gestionnaire de fichier ([chap.3.6.2.5](#suppression-de-vos-donnees)) 
ou depuis un terminal :

    rm -Rf ~/.local/share/Trash/*

**La corbeille administrateur** : /root/.local/share/Trash/ . Pour la vider 
proprement depuis un terminal administrateur :

    rm -Rf /root/.local/share/Trash/*

**Les corbeilles externes** : situées sur vos disques dur externes, elles sont 
généralement nommées '/media/votre_disque/.Trash_1000', ce qui correspond à 
votre identifiant utilisateur (uid).

### Nettoyage des "caches" applications

Certaines applications utilisent un dossier "cache" afin d'y stocker images, 
vidéos, informations diverses pour accélérer l'exécution du logiciel. Ces données 
ne prennent pas trop de place en utilisation courante, mais si vous détectez 
(grâce aux outils d'analyse décrits plus haut) un dossier trop volumineux, 
n'hésitez pas à le supprimer.

    rm -rf ~/.cache/*

Chaque application a une gestion différente de son propre cache; certaines le 
vident systématiquement à la fermeture de l'application, d'autres, stockent 
leurs informations dans /tmp qui se videra à la fermeture de la session, 
d'autres encore gardent toutes les infos dans un dossier spécifique.

Pour Firefox par ex, vous pouvez vider le cache depuis le menu de préférences, 
et même automatiser cette opération à chaque fermeture de l'application.

### Nettoyage des aperçus

À chaque fois que vous visionnez une photo, que vous ouvrez un répertoire 
d'images, un aperçu est créé. Cet aperçu ou *thumbnail*, est stocké dans un 
répertoire afin de pouvoir y revenir en cas de réouverture de l'image. Le souci 
est que si une image est effacée, son aperçu est conservé. Il en résulte un 
stockage inutile d'aperçus périmés.  
Pour nettoyer ces fichiers, il suffit de supprimer le dossier 
concerné : ~/.thumbnails.

    rm -Rf ~/.thumbnails

Ce dossier sera créé à nouveau à la prochaine ouverture d'une image.

## Installation de paquets externes ".deb"

Debian GNU/Linux utilise le système des dépôts de paquets afin d'assurer une 
meilleure gestion et une plus grande sécurité. Les applications que vous installez 
et utilisez proviennent de ces dépôts et sont listées dans votre gestionnaire 
de paquet (*cf* sections précédentes).  
Mais il peut arriver que vous ayez besoin d'installer un paquet externe au format ".deb".

![](img/misc/noob-info.png#left)  
**... C'est qui ce "*deb*" ?**  
**deb** est l'abréviation de "debian", la maison mère. Debian utilise, pour 
distribuer ses applications, un format d'archive particulier, le ".deb". 
C'est un format de compression comme le ".zip" que vous utilisez pour sauvegarder 
des données. Ces archives ".deb" sont reconnues par les différents gestionnaires 
de paquets Debian ([APT](#apt) et son interface graphique, Synaptic) et peuvent ainsi 
être pris en charge plus facilement.

### Installation graphique avec GDebi

GDebi est un utilitaire graphique qui permet d'installer un paquet externe au 
format ".deb" tout en gérant les dépendances.

Pour l'installer, recherchez "gdebi" dans votre gestionnaire de paquets 
("Synaptic", "Discover" ou "Logiciels") ou plus simplement depuis un 
terminal en mode administrateur grâce à "**su -**" 
([chap.3.8.3](#exemple-administrateur)) :

    apt update && apt install gdebi

Lorsque vous téléchargez un paquet externe debian (.deb), ouvrez GDebi 
pour l’installer :

![GDebi : interface par défaut](img/08-admin/62-gdebi-1.jpg)

Dans le menu, cliquez sur Fichier > Ouvrir et indiquez le chemin du fichier ".deb" :

![GDebi : ouvrir un fichier .deb](img/08-admin/63-gdebi-2.jpg)

Puis cliquez sur "Installer le paquet". Votre mot de passe sera demandé 
pour valider l’installation.

![GDebi : installer un fichier .deb](img/08-admin/64-gdebi-3.jpg)

![GDebi : installation d'un fichier .deb](img/08-admin/65-gdebi-4.jpg)

Pour le désinstaller, c’est simple, il suffit de cliquer sur "Supprimer le paquet".

![GDebi : suppression d'un fichier .deb](img/08-admin/66-gdebi-5.jpg)

### Installation en console avec dpkg

Dpkg est un utilitaire de gestion de paquets comme apt, mais il ne gère pas 
les dépendances. Cela signifie que si vous utilisez dpkg pour installer un 
paquet externe, il faudra installer les paquets dépendants un à un depuis 
votre terminal. Dpkg est intégré par défaut sur Debian et s'utilise en mode 
administrateur.

**Pour installer un paquet :**

    dpkg -i adresse_du_paquet.deb

Si des dépendances sont manquantes, un message d'erreur vous le signalera, 
il suffira alors d'installer les dépendances de manière classique avec apt :

    apt install paquet_dépendant1 paquet_dépendant2 ...

Puis relancez l'installation de votre paquet externe :

    dpkg -i adresse_du_paquet.deb

**Pour supprimer un paquet :**

    dpkg --purge nom_du_logiciel

## Installation d'applications au format FlatPak

![](img/apps/flatpak.png#left)  
**Flatpak** ([https://docs.flatpak.org/fr/latest/index.html](https://docs.flatpak.org/fr/latest/index.html)) 
est un système de virtualisation d’application pour les distributions GNU/Linux. 
L'objectif est de fournir un environnement "bac à sable" (*sandbox*) sûr, 
isolé du reste du système et dans lequel les utilisateurs peuvent exécuter des 
applications non validées par les dépôts de la distribution (des versions de 
test, par exemple). *dixit Wikipédia*

![](img/misc/noob-info.png#left)  
**... Je virtualise dans le bac à sable ...?**  
Les applications que vous téléchargez depuis les dépôts Debian, sont des 
archives au format ".deb" contenant l'application elle-même. Ces applications 
utilisent des dépendances communes, sont liées entre elles, et ont accès à 
tout votre système. Les dépôts Debian sont sécurisés, donc pas de soucis de 
ce côté. Mais alors pourquoi utiliser FlatPak ?  
Le format FlatPak fonctionne de façon différente : l'application est compressée 
avec toutes ses dépendances, la rendant totalement indépendante du système sur 
lequel elle est installée. Ainsi, vous pouvez installer et utiliser une version 
plus récente ou simplement absente des dépôts Debian.  
Le second avantage de ce format est le fameux "bac à sable", traduction de 
"sandbox". La *sandbox* est une sorte de boîte sécurisée dans laquelle s'exécute 
l'application, sans avoir accès au reste du système (sauf exception avec 
autorisation de l'utilisateur), empêchant ainsi tout logiciel malveillant de 
passer par votre application pour contaminer votre système.  
Le dernier avantage est de pouvoir exécuter plusieurs versions de la même 
application (très pratique pour Minetest et les serveurs en versions différentes).  
L'inconvénient de ce format est qu'il n'est pas vérifié par l'équipe de 
sécurité de Debian : lorsque vous installez des *flatpaks*, préférez des 
applications référencées de confiance (Gimp, VLC, Blender...)

### Installer FlatPak

Pour profiter des applications au format FlatPak, vous devez en premier lieu 
installer le paquet correspondant. Depuis votre terminal en mode administrateur 
([chap.3.8.3](#exemple-administrateur)) :

    apt install flatpak

Vous pouvez désormais télécharger et installer des paquets *flatpak* en 
visitant un des sites regroupant ces applications comme FlatHub 
([https://flathub.org/fr](https://flathub.org/fr)). Mais le plus simple 
est d'ajouter un dépôt à vos sources afin de profiter de la liste complète 
des applications sans avoir à chercher sur le site.  

### Ajouter un dépôt FlatPak

Pour ajouter un dépôt comme FlatHub par exemple, et profiter d'une recherche 
et d'une installation simplifiée, utilisez votre terminal :

    flatpak remote-add flathub https://flathub.org/repo/flathub.flatpakrepo

Le mot de passe administrateur vous sera demandé. Vous devrez redémarrer votre 
système afin de prendre en compte les modifications.

### Gérer vos applications flatpak depuis Gnome avec [Logiciels](#logiciels-le-gestionnaire-de-paquets-simplifie) ![](img/apps/logiciels-mini.png)

Pour profiter de la gestion des *flatpaks* depuis votre gestionnaire de logiciels, 
vous devez ajouter le plugin correspondant à votre environnement. Pour Gnome et 
sa logithèque simplifiée, dans un terminal en mode administrateur 
([chap.3.8.3](#exemple-administrateur)) :

    apt install gnome-software-plugin-flatpak

Vous pouvez désormais gérer vos *flatpaks* comme les autres applications. 
(*cf.* [chap.8.3](#logiciels-le-gestionnaire-de-paquets-simplifie))

![Rechercher un logiciel FlatPak](img/08-admin/67-flatpak-gnome-1.jpg)

Commencez par rechercher votre logiciel puis sélectionnez la source d'installation 
depuis le menu déroulant.

![Installer un logiciel FlatPak](img/08-admin/68-flatpak-gnome-2.jpg)

Comme pour les autres applications, le mot de passe administrateur vous sera 
demandé pour toute installation. Votre logiciel sera ensuite directement 
disponible dans votre menu d'applications.

### Gérer vos applications flatpak depuis KDE avec [Discover](#discover-la-logitheque-kde) ![](img/apps/discover-mini.png)

Pour profiter de la gestion des *flatpaks* sur Kde avec Discover, vous devez 
installer le plugin approprié. Dans un terminal en mode administrateur 
([chap.3.8.3](#exemple-administrateur)) :

    apt install plasma-discover-backend-flatpak

Vous pouvez désormais gérer vos *flatpaks* comme les autres applications. 
(*cf.* [chap.8.4](#discover-la-logitheque-kde))

Lors de votre recherche, vous devez cliquer sur la fiche du logiciel. Ne cliquez 
pas encore sur "Installer" car les dépôts Debian sont prioritaires.

![Rechercher un logiciel dans Discover](img/08-admin/69-flatpak-kde-1.jpg)

Sélectionnez les sources *flathub* depuis le menu "Sources" de Discover. 
Lancez alors l'installation en cliquant sur "Installer" :

![Sélectionner les sources Flathub](img/08-admin/70-flatpak-kde-2.jpg)

Comme pour les autres applications, le mot de passe administrateur vous sera 
demandé pour toute installation. Votre logiciel sera ensuite directement 
disponible dans votre menu d'applications.

### Gérer vos applications flatpak depuis votre terminal

Voici les commandes de base pour gérer vos *flatpaks* depuis votre terminal :

Commande                                   Action
-------------------------------------      --------------------------------------
flatpak search *nom_du_flatpak*            Rechercher un flatpak dans les dépôts
flatpak install **dépôt** *nom_du_flatpak* Installer un flatpak depuis **dépôt**
flatpak uninstall *nom_du_flatpak*         Désinstaller un flatpak
flatpak uninstall \-\-unused               Désinstaller les dépendances inutilisées
flatpak update                             Mettre à jour les *flatpaks* installés
flatpak run *nom_du_flatpak*               Lancer le *flatpak*

Cas particulier : installer un flatpak **pour l'utilisateur courant uniquement** 
grâce à l'option "\-\-user". Les fichiers seront placés dans le répertoire 
utilisateur ($HOME/.local/share/flatpak/).

    flatpak --user install nom_du_dépôt nom_du_flatpak

**Exemples avec LibreOffice :**

• Installer LibreOffice depuis Flathub :

    flatpak install flathub org.libreoffice.LibreOffice

• Lancer la version flatpak de LibreOffice :

    flatpak run org.libreoffice.LibreOffice

### Supprimer une application flatpak

Si vous avez installez votre flatpak graphiquement depuis **Logiciels**
ou **Discover**, il vous suffit de le supprimer depuis le menu des applications
installées de votre gestionnaire de logiciels : recherchez le flatpak à 
désinstaller puis lancer la suppression depuis le bouton dédié.  
Notez que si vous désirez désinstaller toutes les dépendances (les logiciels
installés en plus du flatpak pour son fonctionnement), vous devrez lancer
cette commande dans votre terminal :

    flatpak uninstall --unused

### Quelques dépôts FlatPak

Pour vous aider dans vos recherches, voici quelques dépôts utilisant le 
format FlatPak, ainsi que les commandes à lancer pour les ajouter. Vous 
pouvez utiliser l'option "\-\-if-no-exists" pour éviter les erreurs en 
cas de doublon :

• Dépôts flathub [https://flathub.org/](https://flathub.org/) réunissant 
un grand nombre d'applications :

    flatpak remote-add flathub https://flathub.org/repo/flathub.flatpakrepo

• Les dépôts KDE pour obtenir les dernières versions :

    flatpak remote-add kdeapps https://distribute.kde.org/kdeapps.flatpakrepo

• Les dépôts Gnome-nightly donnant accès aux versions de développement 
de Gnome-apps :

    flatpak remote-add gnome-nightly https://nightly.gnome.org/gnome-nightly.flatpakrepo

## Qui c’est ce Sid ?

Tout d'abord, il faut savoir qu'il existe simultanément **plusieurs branches 
de distribution Debian**.

Les distributions **oldstable**, **stable**, **testing** et **unstable**, 
ainsi que la branche **experimental**.

**La distribution Stable** est la distribution officielle de Debian, celle qui 
a cours à cet instant, elle est maintenue et mise à jour par les équipes de 
Debian. Seules des mises à jour de sécurité et les corrections de bugs sont 
effectuées. C'est la version recommandée à privilégier.  
Debian publie une version stable tous les deux ans environ.

**La distribution Oldstable** est l'ancienne stable, Elle est, en général, 
supportée par les équipes de Debian pendant un an après la sortie de la nouvelle 
stable. Ensuite, elle peut continuer à vivre si suffisamment de personnes ou 
d'entreprises continuent d'assurer la maintenance, on appelle alors cela une 
distribution LTS (Support à long terme) : on prolonge sa durée vie.

**La distribution Testing** est la future version stable. Elle sert à préparer 
la prochaine version stable. Quand tout est OK et que tout fonctionne bien, 
que les objectifs qui ont été fixés par les équipes de Debian sont atteints, et 
après une période de gel et de chasse aux bugs, alors la version testing devient 
la nouvelle version officielle, la version stable.  
C'est la "pire" branche de Debian pour l'utilisation quotidienne ! Si vous avez 
réellement besoin d'applications plus récentes, utilisez les **Flatpacks** 
([chap.8.8](#installation-dapplications-au-format-flatpak)) ou les dépôts Backports 
([chap.8.1.3](#les-backports-ou-le-retro-portage-des-paquets)).

**La distribution Unstable**, *Sid est son petit nom* est la version qui reçoit 
toutes les nouvelles versions de paquets, elle est au top des nouveautés mais pas 
très stable, c'est un laboratoire. Quelques aventuriers l'utilisent au quotidien. 
Plus d'infos sur [https://wiki.debian.org/fr/DebianUnstable](https://wiki.debian.org/fr/DebianUnstable).

**Experimental** n'est pas une distribution de Debian mais plutôt un dépôt ou 
l'on teste des versions de logiciels qui sont encore en Alpha ou en Beta.

Toutes ces distributions ont un nom choisi parmi les personnages du dessin animé 
Toy Story ®. Actuellement la distribution stable s’appelle Bookworm, la distribution 
testing s’appelle Trixie, et oldstable s’appelle Bullseye. Experimental n’a pas de nom.

La première version Debian portant un nom de code fut Debian-1.1 "Buzz" 
sortie le 17 juin 1996. 
(*cf* [https://fr.wikipedia.org/wiki/Historique_des_versions_de_Debian](https://fr.wikipedia.org/wiki/Historique_des_versions_de_Debian))

![](img/misc/sid.jpg)  
**La distribution unstable s'appelle Sid**. Mais qui c'est ce *Sid* 
(**S**till **i**n **D**evelopment) ? 
Sid Phillips est le petit garçon dans Toy story® qui casse tous ses jouets 
([https://pixar.fandom.com/wiki/Sid](https://pixar.fandom.com/wiki/Sid)).
