# ![](img/nav42/lock.png) Protégez vos données et votre vie privée

L'actualité est claire : Internet est sur écoute. Ce n'est pas pour vous 
alarmer ou vous faire peur, c'est simplement pour bien prendre conscience 
que "l'Internet" n'est pas votre salon privé et que chaque photo ou texte 
porté sur la toile est potentiellement récupérable.

## Protégez votre système

### Sécurité physique

Cela est évident, mais autant le dire une bonne fois : si vous souhaitez 
protéger vos données, **ne laissez pas traîner votre ordinateur portable 
n'importe où ! Ne laissez pas votre ordinateur en libre service chez vous !**

Votre ordinateur contient vos mots de passe (banque, administration, 
travail,etc.), vos documents (administratifs, photos, etc), votre 
historique de navigation (les sites que vous avez visités et quand), etc. 
Ces informations peuvent vous sembler anodines mais permettent au mieux, 
de définir un profil de consommateur, au pire, de se servir de votre 
ordinateur comme passerelle pour pirater d'autres personnes.

Si vous souhaitez faire découvrir votre distribution ou simplement 
partager ses ressources, je vous conseille de créer un utilisateur 
supplémentaire ([chap.7.3](#ajouter-un-utilisateur)) qui n'aura pas accès 
à vos données ni à l'administration de votre système.

![](img/misc/noob-info.png#left)  
Si votre ordinateur est destiné à la mobilité permanente, je vous 
conseille le chiffrement direct lors de l'installation comme évoqué 
dans le [chapitre 5.5.3](#chiffrer-pourquoi-faire). De cette façon, 
même si vous perdez votre machine, il sera très difficile d'extraire 
des informations de votre disque dur.

### Mise à jour

**Les mises à jour** de vos programmes apportent des fonctionnalités, 
corrigent des bugs, mais surtout, **corrigent les failles possibles 
de sécurité**.

C'est la grande force de la communauté du Logiciel-libre : **les 
sources des programmes sont disponibles**, donc quand une faille est 
découverte, elle est rendue publique et corrigée dans la foulée.

Contrairement aux failles des systèmes propriétaires qui, gardées 
secrètes, continuent d'empoisonner la vie des utilisateurs...

**Les mises à jour de sécurité** ne doivent pas être considérées comme 
optionnelles, il faut les installer le plus tôt possible.

### Mot de passe

Chaque année des dizaines de milliers de comptes de messagerie, d'accès Wi-fi, 
de codes PIN… se font facilement pirater, car les utilisateurs ont choisi un 
mot de passe trop facile à deviner. La palme du pire mot de passe de 2019 
revient à **123456**, mais c'est sans compter sur d'autres fumeuses suites 
comme **AZERTYUIOP**, **0000**, les noms d'animaux, les dates de naissance...

![](img/smile/cancel.png) **Tous ces mots de passe trop simples sont à proscrire!** 
![](img/smile/cancel.png)

Ce n'est pas non plus en additionnant deux mots de passe simples ensemble que 
vous en créerez un bon ! Un cassoulet50 sera certes difficilement découvert 
par un humain, mais un "robot informatique" déchiffrera ce code très rapidement.

**Pour augmenter la robustesse d'un mot de passe**, c'est-à-dire sa résistance 
aux tentatives de déchiffrage, utilisez le plus de caractères possibles et 
variez leur type (minuscules, majuscules, chiffres, caractères spéciaux).

Il existe des outils simples qui permettent de garder et d'organiser vos mots 
de passe en sécurité comme KeePassXC 
([https://debian-facile.org/doc:systeme:keepassxc](https://debian-facile.org/doc:systeme:keepassxc)).

![](img/misc/noob-info.png#left)  
**... Plus le mot de passe est robuste, plus c'est difficile de s'en souvenir ??**  
Vous pouvez utiliser une **phrase de passe**. Il s'agit d'une phrase longue, 
difficile à découvrir, mais facile à retenir : quelques mots forment ensemble 
une phrase qui ne veut rien dire, mais qui pour vous, a un sens bien particulier.

Par exemple, "maman aime les cornichons dans sa soupe" peut facilement devenir 
un mot de passe robuste : "MamanAimeLesCornichonsDansSaSoupe" ... surtout si 
on remplace quelques voyelles par des nombres (les "i" par des "1", les "e" 
par des "3" et les o par "0") :  
"**MamanA1m3L3sC0rn1ch0nsDansSaS0up3**".  
Notez que ça fonctionne aussi avec papa ![](img/smile/wink.png).

## Protéger vos données

*Cela va sans dire ... mais c'est mieux en le disant ...*  
Les sauvegardes sur supports externes ne doivent pas être laissées en libre-service 
chez vous : Prenez soin de réserver un disque dur pour vos données personnelles 
sauvegardées, et de le conserver à l'abri des regards (et des doigts).

### Limiter les droits sur vos données

Si vous utilisez Debian en mode "multi-utilisateurs", les données des autres 
utilisateurs sont accessibles en lecture et les vôtres aussi par la force des 
choses. Vous voudrez peut-être limiter l'accès à certaines de vos données 
pour les autres utilisateurs. La procédure est très simple et s'effectue 
graphiquement (nul besoin d'ouvrir son terminal) depuis un clic-droit sur un 
dossier > propriétés > "Permissions", ici avec le dossier "Documents" :

![Menu des droits](img/10-priv/01-droits-folder.jpg)

Sélectionnez alors les droits des "Autres" sur "Aucun" :

![Ne donner aucun droit](img/10-priv/02-droits-folder-aucun.jpg)

Une fenêtre vous demandera si vous désirez appliquer les modifications sur 
les dossiers et fichiers inclus au dossier concerné, je vous conseille de 
valider afin de protéger l'intégralité des données présentes dans le 
dossier spécifié.

### Sauvegarder vos données

Vous avez certainement croisé des avertissements à propos de la sauvegarde 
de vos données... Et ce n'est pas pour rien ! **Consultez le 
[chapitre 9](#sauvegardez-vos-donnees) et prenez l'habitude de sauvegarder 
régulièrement vos données sur un support externe.**

## Logiciels Anti-Virus

Certes, les systèmes GNU/Linux sont beaucoup moins sensibles aux virus, mais 
un virus sur GNU/Linux, c'est possible.

![noob](img/misc/noob-info.png#left)  
A l'heure actuelle, les mises à jour sont les seules protections efficaces 
contre d'éventuels virus et installer un anti-virus n'ajoute pas de sécurité 
supplémentaire à votre système. Les virus intégrés dans des documents venant 
de systèmes propriétaires ne sont pas destinés aux environnements GNU/Linux 
et sont donc totalement inactifs sur vos données.

Si toutefois, vous désirez surveiller et contrôler vos données, **ClamAv** est 
le logiciel anti-virus de référence pour GNU/Linux. Notez que ClamAv ne 
fonctionne pas en continu et demande à l'utilisateur de *scanner un dossier* 
pour en vérifier le contenu.

Une documentation complète est disponible sur le wiki Debian-Facile 
([https://debian-facile.org/doc:systeme:clamav](https://debian-facile.org/doc:systeme:clamav)).

## Contrôle parental

Oui, on trouve vraiment de tout sur Internet, le meilleur comme le pire, et 
souvent des images ou contenus inadaptés aux enfants. Afin de les laisser 
profiter du monde numérique en sécurité, vous pouvez utiliser différents 
systèmes de contrôle parental.

**Mais gardez à l'esprit que le meilleur contrôle parental, c'est vous !** 
![](img/misc/chevalier.gif)

### Depuis votre FAI

Votre fournisseur d'accès Internet propose différents logiciels de contrôle 
parental. Ce système permet d'activer un contrôle sur tous les postes de la 
maison, mais ne dispense pas d'activer un contrôle parental sur votre 
navigateur Web.

Le site **e.enfance** propose des tutoriels détaillés pour l'installation et 
la configuration du contrôle parental pour la plupart des FAI. Vous 
trouverez toute la documentation sur la page dédiée : 
[https://e-enfance.org/informer/controle-parental/](https://e-enfance.org/informer/controle-parental/).

### Depuis votre navigateur internet

Le module complémentaire **BlockSite** 
[https://addons.mozilla.org/fr/firefox/addon/blocksite/](https://addons.mozilla.org/fr/firefox/addon/blocksite/) 
peut être installé dans les extensions du navigateur Firefox pour filtrer les 
contenus " adultes ". Mais pour que le filtrage soit effectué, **BlockSite aura 
connaissance des sites visités, de votre adresse IP...** mais ces informations ne 
sont pas partagées à des fins marketing *d’après BlockSite*... A vous de voir !

Une solution alternative est d'utiliser un moteur de recherche qui va 
filtrer directement les résultats proposés comme **Qwant Junior** : 
[https://www.qwantjunior.com](https://www.qwantjunior.com)

## Vie privée sur le Web

Il est difficile de rester complètement anonyme sur Web, à moins d'être 
un utilisateur expérimenté et bien équipé, vous laisserez toujours des 
traces derrière vous.

La plus belle empreinte que vous laissez quotidiennement en vous connectant 
est celle de votre adresse IP. En effet, chaque appareil connecté sur le
réseau Internet dispose d'une adresse IP, celle-ci permet de connaître votre 
fournisseur d'accès, mais surtout votre localisation précise... Un petit 
test ? Visitez cette page pour connaître votre IP publique : 
[https://whatismyipaddress.com/](https://whatismyipaddress.com/)

De plus, même si la cuisine n'est pas votre fort, vous distribuez beaucoup 
de "cookies" à tous les sites que vous visitez. Les cookies sont des témoins 
de connexion. Ils gardent des informations comme vos préférences sur un site, 
vos identifiants et mots de passe, votre choix de langue, le contenu de vos 
paniers d'achat électronique, etc, dans votre ordinateur, mais aussi sur des 
serveurs. Ainsi, quand vous tapez une recherche sur un site, il est 
susceptible d'enregistrer cette information.

![Supprimer les cookies ???](img/misc/cookies.jpg){.logo}

Des régies publicitaires se joignent également à la fête et vous créent 
automatiquement un profil en scrutant votre historique de navigation.

Ne vous alarmez pas ! Vous disposez de nombreux conseils et outils pour 
devenir discret facilement.

### Les réseaux sociaux

Rappelez-vous que les réseaux sociaux, dans leur très grande majorité, ne 
sont pas destinés à vous rendre service, bien au contraire : ce sont de 
grandes régies publicitaires qui collectent toutes les données qu'ils 
peuvent emmagasiner sur vous. Ces informations personnelles sont revendues 
à des annonceurs publicitaires pour qu'ils ciblent mieux vos "besoins".  
L'espionnage par les réseaux sociaux ne s'arrête pas là : ces derniers 
continuent de vous suivre à la trace sur plein de sites, notamment avec 
les boutons "like" ou "G+".

En outre, les derniers scandales en date montrent que vos informations 
peuvent aussi être collectées par des agences de renseignement de 
plusieurs pays et cela même si vous ne faites rien de suspect.

![](img/misc/noob-info.png#left)  
Si vous ne résistez pas à la tentation de vous inscrire sur un réseau social 
(et je vous comprends, c'est quand même cool les rencontres virtuelles), 
vous pouvez tenter l'aventure **Diaspora** ou encore **Mastodon** et découvrir 
un réseau décentralisé et **respectueux de votre vie privée** et de vos données. 
Diaspora et Mastodon fonctionnent sur le **principe des nœuds**; c'est-à-dire 
qu'il existe plusieurs points de connexion disponibles. En voici un de chaque 
pour commencer votre découverte : 
[https://diaspora-fr.org](https://diaspora-fr.org) et 
[https://joinmastodon.org/fr](https://joinmastodon.org/fr)

Pour les autres réseaux *moins sociaux*, voici quelques conseils simples :

- Choisir un pseudo, à la place de vos prénom et nom.
- Limitez votre réseau aux personnes que vous connaissez réellement.
- Modifiez vos paramètres de confidentialité, pour n'être vu que par vos "amis".
- N'entrez pas d'informations personnelles : adresses, numéros de téléphone.
- Évitez de mettre des photos de vous et de vos proches et encore moins de les 
taguer (les annoter avec les noms des personnes présentes).
- Respectez la *future* vie privée de vos enfants...

## Navigation privée depuis votre navigateur

Si vous souhaitez naviguer sur le web sans laisser de traces sur votre machine, 
les nouvelles versions des navigateurs Web intègrent un mode "**Navigation privée**". 
Ce mode fonctionne d'une manière simple : une fois lancé, le navigateur ne garde 
pas en mémoire votre historique de navigation, les cookies distribués par les 
sites visités, ni les mots de passe entrés lors de la session "privée".  
Cependant, les sites visités gardent une trace de votre adresse IP : vous ne 
naviguez pas de façon "anonyme".

Pour Firefox, direction le menu (le bouton à 3 bandes) puis choisissez "Nouvelle 
fenêtre de navigation privée".

![Firefox : lancer la navigation privée](img/10-priv/06-firefox-private-1.jpg)

![Firefox en navigation privée](img/10-priv/07-firefox-private-2.jpg)

Vous aurez remarqué que le moteur de recherche par défaut sur Firefox est Google™. 
Nous vous conseillons fortement de le modifier pour un moteur plus respectueux de 
votre vie privée comme DuckDuckGo ou Searx ([chap.10.7.1](#les-moteurs-de-recherche)).

Note : il est possible que certains sites Web fonctionnent mal si vous 
désactivez certains cookies. Il est donc préférable de ne pas activer ce 
mode tout le temps.

## Navigation privée sur le Web

**Attention : privée ne veut pas dire anonyme !**

Tout d'abord, évitez d'utiliser des navigateurs non-libres, dont les codes 
sources ne peuvent pas être analysés par les premiers connaisseurs venus.  
Les navigateurs non-libres (Internet Explorer, Edge, Safari, Chrome…) peuvent 
potentiellement espionner votre navigation sans que vous ne le sachiez.

Le principal navigateur libre auquel vous pouvez faire confiance est Firefox.

**La navigation privée** permet de supprimer toutes les traces de navigation 
sur l'ordinateur et peut ajouter quelques protections supplémentaires contre 
le pistage.

Elle ne peut en revanche pas garantir l’anonymat face à certaines techniques 
de pistage avancées comme le fingerprinting 
[https://fr.wikipedia.org/wiki/Canvas_fingerprinting](https://fr.wikipedia.org/wiki/Canvas_fingerprinting).
Mais dans ses dernières versions, Firefox intègre un bloqueur de détecteur 
d’empreinte numérique accessible à partir du menu Édition > Paramètres > 
Vie privée et sécurité.

![Firefox : vie privée et sécurité](img/10-priv/08-firefox-privacy-security.jpg)

Les 2 extensions Firefox suivantes peuvent rendre le suivi de votre navigation 
internet plus difficile en modifiant régulièrement le "profil" de votre 
navigateur :

- Chameleon 
[https://addons.mozilla.org/fr/firefox/addon/chameleon-ext/](https://addons.mozilla.org/fr/firefox/addon/chameleon-ext/)
- CanvasBlocker 
[https://addons.mozilla.org/fr/firefox/addon/canvasblocker/](https://addons.mozilla.org/fr/firefox/addon/canvasblocker/)

L’extension NoScript Security Suite, en désactivant tous ou certains scripts, 
bloque automatiquement les scripts liés au pistage (" tracking ").  
**Attention**, le blocage des scripts peut générer des soucis sur de nombreuses 
pages internet. À réserver aux plus aguerris ! 
[https://addons.mozilla.org/fr/firefox/addon/noscript/](https://addons.mozilla.org/fr/firefox/addon/noscript/) (ou une bonne occasion de faire le tri dans vos marques-pages...)

La fondation Mozilla liste de nombreux modules permettant d'améliorer la sécurité 
de votre navigation internet. N'hésitez pas à consulter la page dédiée : 
[https://addons.mozilla.org/fr/firefox/extensions/category/privacy-security/](https://addons.mozilla.org/fr/firefox/extensions/category/privacy-security/).

### Les moteurs de recherche

Arrêtez de faire comme tout le monde, même si soi-disant "vous n'avez rien à cacher".

- **Ne tapez pas toutes vos recherches dans Google ou Bing**… Même si ces 
derniers fonctionnent très bien, vous n'avez peut-être pas envie que ces 
entreprises conservent pendant des dizaines d'années votre recherche "solutions 
contre les hémorroïdes", voire revendent cette information à des entreprises 
pharmaceutiques, votre mutuelle...
- **Utilisez des moteurs de recherche respectueux de votre vie privée**, comme 
Searx [https://searx.space/](https://searx.space/), 
DuckDuckGo [https://duckduckgo.com/](https://duckduckgo.com/), 
QwantLite [https://lite.qwant.com/?l=fr](https://lite.qwant.com/?l=fr), 
Lilo [https://www.lilo.org/](https://www.lilo.org/), 
Ecosia [https://www.ecosia.org/](https://www.ecosia.org/) 
ou Ekoru [https://ekoru.org/](https://ekoru.org/)
- Agrémentez vos navigateurs libres de plusieurs extensions qui luttent contre 
la fuite de vos données.

## Navigation anonyme sur le Web

![Logo torproject.org](img/logo/tor.png)

Si vous souhaitez devenir anonyme et totalement masquer votre adresse IP, la 
meilleure idée est d'utiliser **TOR** 
([https://www.torproject.org/index.html](https://www.torproject.org/index.html)). 
Pour cela nous allons décrire deux méthodes : l'installation du navigateur 
**tor-browser** et l'utilisation de la *distribution anonyme* **Tails**.

![](img/misc/noob-info.png#left)  
**... C'est quoi ce truc, Tor ??**  
**TOR** pour **T**he **O**nion **R**outer (le relais en oignon), est un logiciel 
qui permet de devenir anonyme sur le net, en se connectant à d'autres utilisateurs 
de TOR. Le principe est de tracer une route aléatoire et indirecte entre vous et 
le point de sortie sur le réseau, rendant ainsi très difficile le traçage de votre 
adresse IP.  
De plus, les informations circulant à l'intérieur du réseau TOR sont chiffrées, 
ce qui rend encore plus difficile l'identification des flux, même s'ils sont espionnés.

Cette fonctionnalité ne doit pas empêcher le bon-sens... si vous vous connectez 
à un compte quel qu'il soit avec votre pseudo usuel et votre mot de passe, même 
en utilisant TOR, vous serez identifié.

### Tor-Browser : le navigateur anonyme

**Debian** propose le **TorBrowser** dans ses dépôts.  
Le navigateur Tor n'est pas *physiquement* dans les dépôts Debian, mais plutôt son 
lanceur qui ira chercher la dernière version sur le site officiel en vérifiant la 
signature du paquet.  
Le **torbrowser-launcher** est disponible dans la section **contrib** des dépôts 
Debian. Pour ajouter cette section, utilisez la méthode du 
[chapitre 8.1.4](#modification-des-depots) afin de parvenir à ce résultat :

    deb http://deb.debian.org/debian/ bookworm main contrib non-free-firmware

Une fois vos dépôts modifiés, lancez dans un terminal en mode administrateur :

    apt update
    apt install torbrowser-launcher

Une fois fait, vous pouvez lancer le téléchargement de votre TorBrowser depuis 
le **tor-browser-launcher** (ici sur Gnome-Shell) :

![TorBrowser : lancer l'installateur](img/10-priv/09-tor-browser-launcher.jpg)

![TorBrowser : télécharger la dernière version](img/10-priv/10-tor-browser-install.jpg)

![TorBrowser : téléchargement en cours](img/10-priv/11-tor-browser-download.jpg)

![TorBrowser : installation en cours](img/10-priv/12-tor-browser-installing.jpg)

![TorBrowser : connexion au réseau Tor](img/10-priv/13-tor-browser-connect.jpg)

![TorBrowser : mise en place du relais Tor](img/10-priv/14-tor-browser-relay.jpg)

![TorBrowser : lancement du navigateur](img/10-priv/15-tor-browser.jpg)

Notez que **Tor** met à votre disposition son navigateur sous forme d'archive 
indépendante (pas besoin des droits d'administration ni des dépôts *backports*). 
Vous pouvez télécharger la dernière version sur le site officiel : 
[https://www.torproject.org/fr/download/](https://www.torproject.org/fr/download/).  
Décompressez l'archive téléchargée, puis naviguez dans l'arborescence 
jusqu'au fichier ./browser/start-tor-browser; Cliquez dessus :).  
Vous devrez laisser ce dossier en place et lancer le navigateur Tor "à la main" ou glisser 
le lanceur "tor-browser.desktop" sur votre bureau ou dans votre barre de tâches.

![TorBrowser : installer depuis le site officiel](img/10-priv/16-tor-website.jpg)

### Tails : la distribution anonyme

![Tails : the amnesic incognito live system](img/10-priv/17-tails.jpg)

**Tails** est une distribution GNU/Linux basée sur Debian. Elle vous permet 
d'éviter certaines techniques de surveillance (tracking) - comme tout outil, 
son efficacité dépend largement de son usage; il ne peut vous protéger de 
vous-même, et des indices que vous laisserez derrière vous (identification à 
certains sites, manières d'écrire, activation de javascript...). 
La solution la plus sûre de garder un secret est souvent de ne pas le faire 
via le réseau Internet.

Ce que dit le [site principal](https://tails.boum.org/index.fr.html)...

**Tails** est un système d'exploitation autonome (live), que vous pouvez 
démarrer, sur quasiment n'importe quel ordinateur, depuis un DVD, une clé USB, 
ou une carte SD. Son but est de préserver votre **vie privée** et votre 
**anonymat**, et de vous aider à :

- **utiliser le réseau Internet de manière anonyme** et **contourner la censure**; 
Toutes les connexions sortantes vers Internet sont obligées de passer par 
le réseau **Tor**,
- **ne pas laisser de traces** sur l'ordinateur que vous utilisez sauf si 
vous le demandez explicitement,
- **utiliser des outils de cryptographie reconnus** pour chiffrer vos 
fichiers, vos courriels et votre messagerie instantanée.

Pour plus d'informations, rendez-vous sur la page du projet : 
[https://tails.boum.org/index.fr.html](https://tails.boum.org/index.fr.html)

Notez que la navigation sur TOR est souvent ralentie et que certains sites 
ou fonctionnalités ne seront pas accessibles à cause des scripts intégrés 
ou de leur politique de "confidentialité"...  
Une occasion de faire le tri dans ses marque-pages ? ![](img/smile/wink.png)

!["Plant onions!" by Péhä (CC-BY)](img/peha/plantonion-by_peha.png)

### Réel anonymat ??

Non, il faut être conscient que l'utilisation du réseau Internet fonctionne grâce à 
un **réseau physique de machines connectées**. Une personne ayant un accès physique 
aux différents "points de connexion" sera en mesure d'observer le trafic et 
d'en tirer des informations immédiatement, ou de stocker ces données pour 
une consultation ultérieure.  
De plus, la surveillance informatique n'est pas le seul moyen de vous identifier 
lors de votre navigation : la vidéo-surveillance des lieux publics ou privés, le 
marquage par défaut des machines "*pour votre sécurité*" ne sont que des exemples 
de toutes les possibilités des autorités et des entreprises pour accéder à vos 
précieuses données.  
C'est à chacun de définir sa "vie privée" et de ne pas l'étaler sur la toile ... 
ou de passer à des considérations plus politiques que techniques pour la 
protéger ![](img/smile/wink.png).

![Rien à cacher ? ... vraiment ? (by Péhä cc-by-sa)](img/peha/rienacacher_by_peha-ccbysa.png)

