# ![](img/nav42/debian.png) Debian ? Kézako ?

![](img/logo/debian-scratch.png) Distribution, logiciel libre, communauté, 
paquets, code source ... mais c'est quoi Debian en fait ?

## Le système Debian GNU/Linux

**Debian** est un système d'exploitation (de l'anglais *Operating System* ou OS) 
**libre** et **gratuit** qui permet de faire fonctionner votre ordinateur, et vous 
propose un ensemble complet de **logiciels libres**, pour tous les usages habituels 
(navigation sur le Web, envoi de courriers électroniques, lecture de fichiers multimédia, 
travail de bureau), et plus encore...![](img/smile/smile.png)  
Ces **logiciels libres** proviennent en grande partie du 
[projet GNU](https://www.gnu.org/home.fr.html), lancé en 1983 par 
[Richard Stallman](https://fr.wikipedia.org/wiki/Richard_Stallman). 
Le [noyau Linux](https://fr.wikipedia.org/wiki/Noyau_Linux) développé par 
[Linus Torvalds](https://fr.wikipedia.org/wiki/Linus_Torvalds) en 1991 vient compléter 
ces logiciels pour former **GNU/Linux**.

![GNU & Tux, logos du projet GNU et du noyau Linux par Péhä CC-BY-SA](img/peha/logo_tuxgnu_par_peha_ccbysa.png){.logo}

La distribution **Debian GNU/Linux** est lancée en août 1993 par 
[Ian Murdock](https://fr.wikipedia.org/wiki/Ian_Murdock) *(rip)*, entouré d'un 
petit groupe soudé de hackers, qui s'est développé pour devenir une communauté 
de développeurs et d'utilisateurs vaste et bien organisée. **Debian** est 
désormais produite par un millier de 
[membres bénévoles](https://www.debian.org/devel/people) éparpillés 
[autour du monde](https://www.debian.org/devel/developers.loc).

**Debian** est donc un *ensemble complet de logiciels libres*

Un **Logiciel libre** est défini par 4 libertés 
([https://www.gnu.org/philosophy/free-sw.fr.html](https://www.gnu.org/philosophy/free-sw.fr.html)) 
: il peut être **utilisé**, **étudié**, **modifié** et **redistribué** sans 
enfreindre la loi. Pour cela, il est nécessaire que l'auteur **distribue 
le code source**, et autorise l'utilisateur à exercer ces droits grâce à 
une **licence libre**.  

![En mémoire de Ian Murdock par Péhä CC-0](img/peha/ian_murdock_20151230_by_peha.png)

Un des intérêts majeurs des logiciels libres est de permettre à des gens compétents 
d'auditer le programme pour s'assurer notamment qu'il ne fait absolument **que** ce 
qu'il annonce. C'est donc une barrière supplémentaire pour 
**protéger votre vie privée** ![](img/smile/cool.png).

Debian décline ce principe dans son 
[Contrat social](https://www.debian.org/social_contract.fr.html), 
et notamment dans les 
[Principes du logiciel libre](https://www.debian.org/social_contract.fr.html#guidelines) 
Selon Debian. Ce contrat indique que **le projet Debian demeurera totalement libre**.

Le contrat reconnaît cependant que les utilisateurs peuvent avoir besoin de 
composants "non-libres" pour faire fonctionner leurs systèmes, comme certains 
pilotes de matériel, ou certaines applications permettant de décoder de la 
musique ou des vidéos par exemple. C'est pourquoi vous trouverez 4 sections 
dans les dépôts de logiciels Debian :

- **main** pour les logiciels libres disponibles par défaut,
- **non-free-firmware** pour les micrologiciels non libres disponibles par défaut,
- **contrib** pour les logiciels dépendants de logiciels ne respectant pas les 
principes du logiciel libre,
- **non-free** pour les logiciels ne respectant pas les principes du logiciel libre.

Debian est développée avec soin. **Toute nouvelle version stable** est longuement 
testée par des utilisateurs avant sa sortie. Cette dernière est publiée 
*lorsqu'elle est prête*.  
De ce fait, elle demande **peu de maintenance** une fois installée et les 
problèmes y sont peu fréquents.

![logo Debian texte](img/logo/debian-txt-big.png){.logo}

Comme de nombreuses autres distributions libres, Debian est peu sensible aux 
logiciels malveillants ("malwares" tels les virus, chevaux de Troie, 
logiciels espions...) pour plusieurs raisons :

- Les logiciels sont disponibles dans des **dépôts**, sur **des serveurs contrôlés 
par le projet**. Il n'est ainsi pas nécessaire de chercher des programmes à 
installer sur divers sites plus ou moins douteux qui distribuent virus et 
programmes indésirables en plus du logiciel que vous recherchez.
- Les droits *administrateur* et *utilisateur* sont clairement séparés, 
ce qui aide à limiter les dégâts : en cas d'infection virale, seuls les 
documents de l'utilisateur sont affectés. Cette séparation des droits limite 
aussi les risques d'erreurs commises entre la chaise et le clavier. 
Plus de détails sur les droits dans le [chapitre 3.7](#les-droits-et-permissions).

![](img/misc/chevalier.gif) **La sauvegarde** régulière de vos données reste la 
meilleure garantie pour vous protéger contre d'éventuels virus ou soucis 
techniques, mais aussi contre vos propres erreurs 
(cf [chap.9](#sauvegardez-vos-donnees)).

## Trouver de l'aide

Besoin d'aide ? Le premier réflexe est de consulter la documentation si vous 
le pouvez. Ensuite viennent les forums d'utilisateurs puis, si vous avez la chance 
d'être à proximité, les groupes d'utilisateurs GNU/Linux (GUL). Il existe aussi 
plusieurs évènements consacrés au Libre dans différentes associations : 
vous pourrez obtenir les rendez-vous près de chez vous en consultant 
[L'agenda du Libre](https://linuxfr.org/tags/agenda_du_libre/public) du site 
[linux-fr](https://linuxfr.org/).

- **La documentation intégrée au système :** les applications installées disposent 
pour la plupart d'un manuel disponible depuis la ligne de commande 
(cf [chap.3.8](#le-terminal)) 
et/ou depuis un menu graphique avec le bouton "Aide" des applications.
- **La documentation en ligne :** Lorsque vous utilisez une distribution GNU/Linux 
comme Debian, vous disposez d'une [documentation officielle](https://wiki.debian.org/fr/FrontPage) 
mais vous pouvez en plus, profiter des wikis des communautés francophones Debian : 
[Debian-Facile](https://debian-facile.org/wiki) et [Debian-fr](https://forum-debian.fr/wiki/Accueil).
- **Les forums d'entraide :** la communauté du Libre se divise en une multitude 
de forums, sites et blogs d'information : s'y retrouver est parfois délicat, 
préférez donc les sites dédiés à votre environnement ou votre distribution. 
Pour Debian, 3 forums d'entraide vous apportent leur support : le forum 
[Debian-Facile](https://debian-facile.org/forum.php), le forum 
[Debian-fr.org](https://www.debian-fr.org/) et le forum [Forum-debian.fr](https://forum-debian.fr/)
- **Parrain-Linux :** la communauté Parrain-Linux propose de mettre en relation 
des utilisateurs débutants et confirmés afin de faciliter l'entraide directe. 
Inscrivez-vous sur leur site et choisissez un parrain : 
[https://www.parrain-linux.com](https://www.parrain-linux.com)
- **Les associations et les GUL :** avec de la chance, vous habitez à proximité 
d'un groupe d'utilisateurs Linux ou d'une association qui tient des permanences 
régulières. Dans ce cas, n'hésitez pas à passer leur dire bonjour après visite 
de la page dédiée ([https://aful.org/gul/liste](https://aful.org/gul/liste)) 
sur le site de l'[AFUL](https://aful.org).

![Debian banner](img/logo/debian-banner.png)

### À propos des forums, du terminal et des "barbus"

La communauté d'entraide GNU/Linux est majoritairement constituée de 
**bénévoles passionnés** ![](img/logo/gnulinux.png). Ce sont aussi des 
techniciens, amicalement surnommés "geeks" ou "barbus" (vous avez déjà essayé 
de vous raser avec les doigts sur le clavier ?), avec quelques années d'informatique 
derrière eux. Cette expérience favorise la maîtrise du **terminal**, l'outil le 
plus efficace pour la gestion d'un système GNU/Linux : c'est donc naturellement 
les premières réponses données sur les forums, sous la forme de ligne de commande. 
Ne soyez pas effrayé, des solutions "à la souris" existent dans la plupart des cas 
et il vous suffira de demander gentiment pour obtenir une explication.

**Pour poser une question sur un forum d'entraide**, il faut généralement s'inscrire. 
Vous aurez besoin d'une adresse de messagerie valide pour vous enregistrer et recevoir 
votre demande de confirmation, ainsi que vos notifications de réponse une fois inscrit.

**Avant de poser une question**, pensez à rechercher dans les questions/réponses 
déjà résolues : la plupart des forums intègrent une fonction de recherche par 
mot-clé qui vous permettra de vérifier si votre situation ne s'est pas déjà présentée.

N'oubliez pas qu'un forum est généralement maintenu par des **bénévoles** et 
n'est en aucun cas un service après-vente ![](img/smile/wink.png)


## Quelques liens pour aller plus loin

- Le site de la Free Software Foundation 
[https://www.fsf.org/?set_language=fr](https://www.fsf.org/?set_language=fr)
- À propos de Debian 
[https://www.debian.org/intro/about.fr.html](https://www.debian.org/intro/about.fr.html)
- Introduction à Debian 
[https://www.debian.org/intro/index.fr.html](https://www.debian.org/intro/index.fr.html)
- Le wiki officiel Debian 
[https://wiki.debian.org/fr/DebianIntroduction](https://wiki.debian.org/fr/DebianIntroduction)
- Le coin des développeurs 
[https://www.debian.org/devel/](https://www.debian.org/devel/)
- L'historique Debian 
[https://www.debian.org/doc/manuals/project-history/](https://www.debian.org/doc/manuals/project-history/)
- Les joies du code 
[https://lesjoiesducode.fr/](https://lesjoiesducode.fr/)

![Kali Ma Shakti de](img/misc/sankara-stones.png){.logo}

