# ![](img/nav42/choix.png) Choisir sa Debian

Debian est un système d'exploitation qui se décline en plusieurs versions, il 
va donc vous falloir faire un choix en fonction de votre niveau, vos goûts, 
vos besoins et votre matériel.

### Je vous laisse choisir

- je suis (grand) débutant et/ou
- je ne sais que choisir et/ou
- je n'ai pas le temps ni l'envie de me plonger dans de la documentation... 
on verra plus tard

**=> Je profite du projet DFiso par Debian-Facile** qui me permettra de prendre 
en main mon système Debian GNU/Linux à mon rythme, l'écran allumé, les doigts sur 
le clavier et la souris à côté. Et si j'ai envie, je pourrais aller plus loin au 
sein d'une communauté tournée vers l'accueil des nouveaux utilisateurs 
([chap.1.2](#trouver-de-laide)). Vous ne serez pas seuls pour démarrer votre aventure.

![](img/logo/dfiso-banner.png) => 
[https://debian-facile.org/projets:iso-debian-facile](https://debian-facile.org/projets:iso-debian-facile)

### Choisir une dérivée Debian ?

Il existe de nombreuses dérivées de Debian plus ou moins stables et/ou maintenues 
(Linux Mint Debian Edition, AntiX, MXLinux, etc...) 
Ce manuel et les indications qui s'y trouvent peuvent servir pour toute dérivée 
de Debian Stable "Bookworm".

![](img/misc/noob-info.png#left)  
Les distributions GNU/Linux ne sont pas toutes soutenues par une communauté comme 
Debian peut l'être. Parfois, une seule personne gère l'intégralité de la 
distribution. Les différentes distributions ne fournissent pas le même niveau 
de documentation et de support. Elles n'offrent pas non plus la même pérennité. 
Choisir une distribution "mère" comme Debian, c'est s'assurer d'une maintenance 
régulière et stable.

Si vous désirez tester d'autres distributions basées sur Debian, nous vous 
conseillons de consulter la page officielle 
([https://wiki.debian.org/Derivatives/CensusFull](https://wiki.debian.org/Derivatives/CensusFull)) 
des dérivées de Debian.

Si vous souhaitez obtenir une liste plus exhaustive, visitez le site 
[Distrowatch.com](https://distrowatch.com/?language=FR) qui liste la 
quasi-totalité des distributions actives disponibles.

### Debian, mais pas que...

Car non, il n'y a pas que "Debian" dans la vie ! ![](img/smile/wink.png)  
D'autres projets développent des systèmes pour les débutants dans le monde 
GNU/Linux. Si vous désirez essayer un autre système, rendez-vous au chapitre 
des distributions GNU/Linux de l'univers du libre 
([chap.12](#annuaire-du-libre)).

### Je tente l'aventure Debian ![](img/logo/debian-mini.png)

C'est parti ! La suite de ce manuel va vous aider pour :

- **choisir l'architecture processeur** ([chap.4.1](#choisir-larchitecture)),
- **choisir votre interface principale** ([chap.4.2](#choisir-son-environnement-de-bureau-gnulinux)),
- **lancer l’installation** ([chap.5](#installer-debian)).

## Choisir l'architecture

**Le processeur**, l'organe de calcul de votre ordinateur, fonctionne sous 
une architecture spécifique, c'est-à-dire qu'il traite les informations 
selon son type (32, 64, PPC...). 

Nous vous recommandons l'utilisation de l'image ISO de type "**installation par 
le réseau**" ([chap.5.2.1.1](#debian-netinstall)) qui permet d'obtenir les versions 
des logiciels les plus à jour en téléchargeant directement les applications lors de 
l'installation (vous aurez besoin d'une connexion active et stable pendant 
l'installation). Cette version vous permettra d'installer l'environnement de bureau 
de votre choix.  
Vous pouvez aussi utiliser une image ISO contenant directement un environnement 
pré-configuré (Gnome, KDE, Xfce ...).

Mais vous devez en premier lieu choisir en fonction de l'architecture de votre 
processeur, choisir entre une version 32 bits et une version 64 
bits, autrement dit, choisir entre une version i386 et une version amd64.  
Notez que la version "32 bits" fonctionnera sur un ordinateur "64 bits" mais 
pas l'inverse.

### Pour faire simple

- Si votre ordinateur a un autocollant "coreDuo", "core2duo", ou qu'il date 
d'après 2005, vous pouvez prendre une ISO amd64.
- Si votre ordinateur affiche fièrement "Pentium IV  M" ou qu'il date d'avant 
2003, prenez une version i386.
- Dans le doute, choisissez la version 32 bits, "i386", elle fonctionnera partout
- Dans le gros doute, posez la question sur un forum ([chap.1.2](#trouver-de-laide))

### Pour vérifier

**Depuis une distribution GNU/Linux** en session autonome "live" 
([chap.5.3.1](#tester-debian-en-session-live)), ouvrez un terminal et lancez la 
commande suivante afin d'obtenir la compatibilité 32 ou 64 bits :

    lscpu | grep -i "mode(s)"

qui vous rendra un résultat explicite, ici avec un processeur 'amd64' :

    Mode(s) opératoire(s) des processeurs : 32-bit, 64-bit

**Depuis un poste Windows**®, le modèle de votre processeur est affiché dans 
l'onglet "Général" du menu Démarrer > Panneau de configuration > Système.
Il est alors nécessaire d'effectuer une recherche sur internet pour vérifier 
si ce processeur est compatible avec un système 64 bits (par exemple, l'indication 
sous Windows Vista à la rubrique "Type de système" de 32 bits, ne signifie pas 
que le processeur n'est pas compatible également avec un sytème 64 bits).

## Choisir son environnement de bureau GNU/Linux

Debian vous permet d'adopter directement un ou plusieurs environnements de bureau 
depuis l'interface d'installation : [Gnome](#gnome), [Gnome Flashback](#gnome-flashback), 
[KDE](#kde), [Mate](#mate), [Cinnamon](#cinnamon), [Xfce](#xfce), [LXDE](#lxdeopenbox) 
et [LXQt](#lxqt).

![](img/misc/noob-info.png#left)  
**... Pourquoi plusieurs "bureaux" GNU/Linux ?**  
**L'ordinateur n'est qu'un outil** et même si on vous demande parfois d'apprendre 
2~3 trucs pour l'utiliser, il n'en reste pas moins **votre outil**, et donc 
il doit pouvoir s'adapter au maximum à vos goûts, votre façon de travailler 
ou de vous détendre.

Dans cette optique, chaque environnement de bureau a son organisation, son système 
de configuration, ses fonctionnalités : ce n'est pas une diversité superflue, 
issue des méandres de quelques cerveaux barbus (quoique), c'est une des 
forces du **logiciel libre **: savoir **proposer au lieu d'imposer !** 
![](img/smile/cool.png)

Nous vous présenterons ici les principales caractéristiques de ces différents 
environnements afin de vous aider à faire votre choix. Vous pourrez en ajouter 
plus tard selon vos besoins où vos envies. Les deux environnements de bureau 
principaux sont Gnome et KDE, mais ce sont aussi les plus gourmands en ressources 
donc n'hésitez pas à tester les autres environnements.

**-- Applications intégrées --**

Chaque environnement de bureau est prévu pour offrir les fonctionnalités 
minimales lors d'une utilisation personnelle de votre ordinateur. Vous 
trouverez donc sur tous les bureaux présentés ici, le navigateur internet 
Firefox ([chap.6.6](#naviguez-sur-le-web)), un gestionnaire de fichiers, un éditeur 
de texte, la suite bureautique LibreOffice 
([chap.6.9](#travaillez-sur-traitement-de-texte)), un lecteur multimédia et une 
logithèque pour faire évoluer votre installation et la maintenir à jour.

### Gnome ![](img/logo/gnome.png)

![Gnome : présentation du bureau](img/04-choix/01-desktop-gnome.jpg)

L'interface **Gnome-Shell** est le bureau par défaut pour Debian 12 "Bookworm" et 
vous propose différents outils facilement accessibles :

**Un gestionnaire d'activités** affiché lors d'un clic sur "Activités" en haut à 
gauche, dans lequel on retrouvera :

- Une série de lanceurs d'applications (vous pouvez en ajouter/supprimer 
facilement par glisser-déposer ou depuis un clic-droit sur le tableau de bord),
- L'ensemble des applications ouvertes,
- La possibilité de répartir les applications sur plusieurs bureaux virtuels 
(le panneau latéral de droite),
- Un moteur de recherche, d'applications, de fichiers, ou même de contacts.

**Un gestionnaire de temps** au centre, en cliquant sur la date, avec un calendrier 
lié au gestionnaire de courriel, d'agenda et de contacts.

**Un gestionnaire système** en haut à droite, qui vous donne accès à différents 
paramêtres pour la luminosité, le son, le réseau, la session ou certains réglages 
de votre système.

![Gnome : le gestionnaire de temps et le menu system](img/04-choix/02-gnome-calendar-system.jpg)

Gnome intègre **une documentation détaillée** directement accessible depuis le 
tableau de bord par défaut, de quoi rassurer les débutants :

![Gnome : aide complète intégrée](img/04-choix/03-gnome-help.jpg)

**Applications principales :**

- Internet : Firefox ([chap.6.6](#naviguez-sur-le-web)), 
[Evolution](https://wiki.gnome.org/Apps/Evolution) (équivalent à Thunderbird)
- Lecteur vidéo : Totem ([chap.6.7](#visionnez-une-video))
- Lecteur audio : Rhythmbox ([chap.6.8](#exemple-de-lecteur-audio-rhythmbox))
- Gestionnaire de fichiers : Nautilus 
([https://wiki.gnome.org/Apps/Nautilus](https://wiki.gnome.org/Apps/Nautilus))

**Niveau minimal requis :** grand débutant / débutant

Page du projet Gnome : [https://www.gnome.org/](https://www.gnome.org/)

Plus de détails dans la section dédiée à la configuration de Gnome-Shell 
([chap.7.1.1](#linterface-gnome-shell)).

### Gnome Flashback ![](img/logo/oldgnome.png)

**Gnome Flashback** propose une session Gnome 3 qui vous permettra de retrouver 
l'expérience utilisateur de l'interface *Gnome 2*. Gnome Flashback offre une 
interface simple et épurée, tout en conservant les fonctionnalités principales 
du bureau Gnome 3.

Cette session a tout d'abord été proposée en alternative à la session Gnome-Shell 
sous la forme d'une session Gnome Classique ([chap.7.1.1.4](#gnome-classique)). 
Bien que cette alternative existe toujours sur Gnome-Shell, Gnome Flashback est 
désormais un bureau indépendant disponible dès l'installation de Debian.

![Le bureau Gnome Flashback sur Debian](img/04-choix/04-desktop-gnome-flashback.jpg)

Gnome Flashback propose un peu moins d'applications par défaut que Gnome-Shell, 
mais vous retrouverez les logiciels essentiels à l'utilisation quotidienne de votre 
ordinateur.

Ce bureau dispose également de l'utilitaire d'aide de Gnome, rendant la prise en main de 
votre système particulièrement simple.

![Gnome Flashback profite de l'aide Gnome](img/04-choix/06-gnome-flashback-help.jpg)

Gnome Flashback est aussi un peu moins gourmand en ressources que Gnome-Shell.

Une interface épurée, certes, mais parfaitement configurable depuis les entrées de menu 
"Ajustements" et "Paramètres" :

![Configuration de Gnome Flashback sur Debian](img/04-choix/07-gnome-flashback-config.jpg)

**Applications principales :**

- Internet : Firefox ([chap.6.6](#naviguez-sur-le-web)), 
[Evolution](https://wiki.gnome.org/Apps/Evolution) (équivalent à Thunderbird)
- Lecteur vidéo : Totem ([chap.6.7](#visionnez-une-video))
- Gestionnaire de fichiers : Nautilus 
([https://wiki.gnome.org/Apps/Nautilus](https://wiki.gnome.org/Apps/Nautilus))

**Niveau minimal requis :** grand débutant / débutant

Page du projet Gnome Flashback : 
[https://wiki.gnome.org/Projects/GnomeFlashback](https://wiki.gnome.org/Projects/GnomeFlashback)

### KDE ![](img/logo/kde.png)

![Le bureau KDE Plasma sur Debian](img/04-choix/08-desktop-kde.jpg)

**KDE** est un projet qui fournit un environnement graphique (nommé "Plasma") 
et une suite logicielle complète. KDE est configurable à l'extrême, aussi 
bien l'environnement de bureau que les applications qui l'accompagnent, 
on pourrait même trouver ça compliqué tellement il y a de possibilités. 
Heureusement, vous pouvez utiliser KDE sans configuration particulière, 
il est tout à fait utilisable "out-of-the-box" (sorti de la boîte).

KDE se rapproche de l'environnement Windows®, et propose :

- **Lanceur d'applications** : le menu à partir duquel vous aurez accès à 
tout votre système.
- **Composants graphiques** : les modules à placer où vous voulez sur votre 
bureau pour profiter de fonctionnalités supplémentaires.
- **Les activités **: un bandeau qui intègre vos tâches à accomplir, vos 
rendez-vous... une autre façon de faciliter votre travail quotidien
- **Plasma **: KDE est livré avec un pack d'applications complètement 
intégrées au bureau "plasma" offrant une expérience graphique fluide et cohérente.

Plus que tout autre bureau GNU/Linux, vous pouvez transformer KDE selon vos 
besoins et envies.  
KDE est un environnement très complet et dispose d'un centre de configuration 
ainsi que d'un centre d'aide intégrés.  
Pour lancer le centre de contrôle, direction le menu principal : Applications : 
Configuration : Configuration du système.

![Le panneau de configuration KDE sur Debian](img/04-choix/09-kde-control-center.jpg)

Si vous ne trouvez pas une application, vous pouvez entrer son nom ou sa 
fonction dans la zone de recherche du menu principal.

KDE utilise **Konqueror**, un navigateur de fichiers qui surf aussi sur le Web... 
plus besoin d'ouvrir de multiples applications pour consulter, visionner, classer, 
etc. Ici une vue scindée de Konqueror en action :

![Le navigateur Web/fichiers Konqueror sur KDE](img/04-choix/10-konqueror.jpg)

KDE, comme Gnome, dispose d'un centre d'aide très complet directement 
accessible depuis le menu principal, rubrique "Applications".

![Lanceur du menu d'aide KDE](img/04-choix/11-kde-menu-help.jpg)

Notez que vous pouvez atteindre l'aide des applications directement depuis 
le bouton "Aide" dédié présent dans les menus de vos logiciels.

![Le centre d'aide KDE sur Debian](img/04-choix/12-kde-help-center.jpg)

**Applications principales :**

- Navigateur internet : Konqueror 
([https://apps.kde.org/fr/konqueror/](https://apps.kde.org/fr/konqueror/)), 
Firefox ([chap.6.6](#naviguez-sur-le-web))
- Communications internet : Kmail 
([https://apps.kde.org/fr/kmail2/](https://apps.kde.org/fr/kmail2/))
- Lecteur vidéo : Dragon Player 
([https://apps.kde.org/fr/dragonplayer/](https://apps.kde.org/fr/dragonplayer/))
- Lecteur audio : Juk ([https://juk.kde.org/](https://juk.kde.org/))
- Gestionnaire de fichiers : Dolphin 
([https://apps.kde.org/fr/dolphin/](https://apps.kde.org/fr/dolphin/))
- Environnement graphique : Plasma 
[https://kde.org/fr/plasma-desktop/](https://kde.org/fr/plasma-desktop/)

**Niveau minimal requis :** débutant / confirmé

Page principale du projet KDE : [https://kde.org/](https://kde.org/)  
Une introduction à KDE :
[https://userbase.kde.org/An_introduction_to_KDE/fr](https://userbase.kde.org/An_introduction_to_KDE/fr)

Plus de détails sur la configuration et les possibilités de KDE dans la section 
dédiée à Plasma ([chap.7.1.2](#linterface-plasma-kde)).

### Mate ![](img/logo/mate.png)

![Le bureau MATE sur Debian](img/04-choix/13-desktop-mate.jpg)

**MATE** est une variante de Gnome 2. C'est-à-dire que cet environnement de bureau 
est une reprise du code de Gnome 2, avec quelques modifications.

C'est un environnement idéal pour les personnes qui ne veulent pas changer 
leurs habitudes acquises avec Gnome 2. C'est aussi un bon bureau pour la 
MAO (Musique assistée par ordinateur) et ses applications spécifiques gourmandes.

MATE se veut léger en comparaison de Gnome 3 et, de ce fait, il est adapté à 
des ordinateurs assez anciens et restreints en ressource. En clair, c'est un 
bon compromis entre Gnome 3 et Xfce 4.

MATE offre une interface "traditionnelle" avec ses deux barres de tâches :

- Le tableau de bord supérieur intègre les principales applications, les dossiers 
principaux et le menu d'administration système sur la gauche.
- La droite du tableau de bord supérieur est réservée à la zone de notifications et 
de réglages rapides (volume sonore, disposition du clavier, agenda minimal)
- Le tableau de bord inférieur affiche le bouton de bureau (qui permet de masquer 
toutes les fenêtres), la liste des fenêtres actives et le sélecteur de 
bureaux virtuels.

La configuration de MATE passe par son centre de contrôle (menu "système" > 
centre de contrôle) qui donne accès à tous les organes de votre interface :

![Centre de contrôle du bureau MATE](img/04-choix/14-mate-control-center.jpg)

**Mate** est un environnement minimal qui est livré avec peu d'applications par 
défaut. Vous pourrez choisir vos outils préférés. Mate embarque cependant son 
propre Gestionnaire de fichiers, Caja une variante de Nautilus (le gestionnaire 
de Gnome), ainsi qu'un centre d'aide plutôt bien conçu (même s'il reste 
quelques passages dans la langue de Shakespeare)

![Centre d'aide du bureau MATE](img/04-choix/15-mate-help-center.jpg)

**Niveau minimal requis** : grand débutant / débutant

Page du projet MATE : [https://mate-desktop.com/fr/](https://mate-desktop.com/fr/)  
Plus de détails sur le wiki de Debian : 
[https://wiki.debian.org/fr/MATE](https://wiki.debian.org/fr/MATE)

### Cinnamon ![](img/logo/cinnamon.png)

**Cinnamon** est un environnement de bureau dérivé de Gnome-Shell. Il délaisse 
l'interface tout-en-un de ce dernier au profit d'une interface plus 
traditionnelle (tableau de bord accompagné d'un menu dans lequel les icônes 
sont classées par catégories). 

Il est développé par l'équipe de Linux Mint 
([https://linuxmint.com/](https://linuxmint.com/)), distribution GNU/Linux dont 
il est un des environnements phares.

Cinnamon utilise le gestionnaire de fichiers **Nemo**, une variante de Nautilus 3.4 
qui réintroduit certaines fonctionnalités ôtées de ce dernier : vue compacte, 
ouvrir dans un terminal, ouvrir en tant que root, possibilité d'éditer le chemin 
absolu à la main, etc.

![Le bureau Cinnamon sur Debian](img/04-choix/16-desktop-cinnamon.jpg)

Cinnamon présente un bureau complet avec toutes les applications (f)utiles à 
votre usage quotidien : dans la capture ci-dessus, vous pouvez voir les 
applications "Internet" : le navigateur Firefox ([chap.6.6](#naviguez-sur-le-web)), 
le client de messagerie Thunderbird 
([chap.6.4.1](#thunderbird-votre-courrielleur-libre)), le client de messagerie 
multi-protocole Pidgin, le client Bittorent Transmission, et un visionneur de bureaux distants.

La configuration de Cinnamon est confiée au gestionnaire de paramètres qui 
centralise les réglages système et utilisateur :

![Cinnamon : gestionnaire de paramètres](img/04-choix/17-cinnamon-control-center.jpg)

Dérivé de Gnome-Shell, Cinnamon prend en charge les extensions permettant 
d'agrémenter votre environnement de petits gadgets.

![Cinnamon : gestionnaire d'extensions](img/04-choix/18-cinnamon-extensions.jpg)

**Applications principales :**

- Communications internet : Thunderbird 
([chap.6.4.1](#thunderbird-votre-courrielleur-libre)) & Pidgin
- Lecteur vidéo : Totem ([chap.6.7](#visionnez-une-video))
- Lecteur audio : Rythmbox ([chap.6.8](#exemple-de-lecteur-audio-rhythmbox))
- Gestionnaire de fichiers : Nemo 
([https://fr.wikipedia.org/wiki/Nemo\_(logiciel)](https://fr.wikipedia.org/wiki/Nemo\_(logiciel)))

**Niveau minimal requis :** grand débutant / débutant

Page du projet Cinnamon : 
[https://github.com/linuxmint/Cinnamon](https://github.com/linuxmint/Cinnamon)  
Plus de détails dans le manuel de LinuxMint Cinnamon 
([https://linuxmint-installation-guide.readthedocs.io/fr/latest/](https://linuxmint-installation-guide.readthedocs.io/fr/latest/)).

### Xfce ![](img/logo/xfce.png)

**Xfce** est un environnement de bureau léger. Il vise à être rapide, 
peu gourmand en ressources système, tout en étant visuellement attrayant 
et convivial. Il est extensible grâce à de nombreux modules complémentaires 
(ou extensions) et intègre un mixeur sonore (xfce4-mixer), son propre 
gestionnaire de fenêtres supportant la transparence, les ombres… (xfwm4), 
un gestionnaire d'archives intégré au gestionnaire de fichiers 
(thunar-archive-plugin), un moniteur de disque, de batterie, réseau, 
processeur, mémoire, ainsi que des thèmes et divers modules.

Son interface est claire et traditionnelle : vous ne serez pas surpris au 
premier rendez-vous.

![Le bureau Xfce par défaut sur Debian](img/04-choix/19-desktop-xfce.jpg)

Xfce offre l'avantage d'une totale modularité de ses éléments intégrés car il 
est livré avec différents plugins indépendants. Xfce permet aussi l'intégration 
d'applications venues d'autres environnements et est capable de charger 
(lancer au démarrage) les services Gnome et/ou KDE par défaut.

**C'est l'environnement idéal pour un débutant**, offrant une grande stabilité, 
un pilotage complet "à la souris", et des possibilités d'évolution sans limites.

Comme pour les environnements précédents, Xfce centralise sa configuration 
pour faciliter la personnalisation. Notez que les éléments peuvent aussi être 
configurés depuis leurs interfaces spécifiques (comme un clic-droit sur le 
tableau de bord pour ajouter un lanceur par exemple.).

![Le gestionnaire de paramètres Xfce sur Debian](img/04-choix/20-xfce-parametres.jpg)

**Applications principales :**

- Communications internet : Thunderbird 
([chap.6.4.1](#thunderbird-votre-courrielleur-libre))
- Lecteur vidéo : VLC ([chap.6.7](#visionnez-une-video))
- Lecteur audio : Quod Libet 
([https://fr.wikipedia.org/wiki/Quod_Libet](https://fr.wikipedia.org/wiki/Quod_Libet))
- Gestionnaire de fichiers : Thunar 
([chap.3.6](#exemple-de-gestionnaire-de-fichiers-thunar))

**Niveau minimal requis :** grand débutant / débutant

Page du projet Xfce : [https://www.xfce.org/?lang=fr](https://www.xfce.org/?lang=fr)  
Plus de détails sur la FAQ officielle Xfce : 
[https://wiki.xfce.org/fr/faq](https://wiki.xfce.org/fr/faq).

**XFCE** a été choisi comme environnement de bureau par **Emmabuntüs** 
([https://emmabuntus.org](https://emmabuntus.org)) et **Debian-Facile** 
([https://debian-facile.org](https://debian-facile.org)), deux communautés qui 
vous offrent des distributions pour débutants, basées sur Debian.

![Emmabuntüs](img/12-annuaire/logo_emmabuntus.png){.logo}

![Debian-Facile](img/12-annuaire/logo_debian-facile.png){.logo}

### LXDE/Openbox ![](img/logo/lxde.png)

**LXDE** est un environnement de bureau libre pour les systèmes Unix et autres 
systèmes conformes aux standards POSIX, tels que Linux ou BSD. Le nom LXDE est 
l'acronyme de "Lightweight X11 Desktop Environment" (environnement de bureau 
X11 léger).  
Comme son nom l'indique, LXDE est un projet ayant pour but de proposer un 
nouvel environnement de bureau qui soit léger et rapide.

Contrairement à d'autres environnements de bureau, les composants ne sont pas 
étroitement liés. Au lieu de cela, ils sont indépendants et chacun d'eux peut 
être utilisé sans les autres avec peu de dépendances (paquets appelés lors de 
l'installation).

LXDE utilise Openbox 
([https://wiki.debian.org/fr/Openbox](https://wiki.debian.org/fr/Openbox)) comme 
gestionnaire de fenêtres par défaut :

![Le bureau LXDE et le gestionnaire de fichiers PCManFM](img/04-choix/21-desktop-lxde.jpg)

Le mode de construction de LXDE implique que la configuration de chaque élément 
passe par une interface dédiée à l'application concernée. Vous ne trouverez pas 
de "Centre de contrôle" *à la Gnome,* mais plutôt une suite d'outils légers pour 
personnaliser votre environnement.  
LXDE est particulièrement léger ce qui le rend idéal pour les petites 
configurations matérielles et le ré-emploi informatique, mais il demande un peu 
plus de temps pour la prise en main des différents éléments.  

![Configuration de l'interface et de la session LXDE](img/04-choix/22-lxde-lxconf.jpg)

![Outil de configuration OpenBox sur LXDE](img/04-choix/23-lxde-obconf.jpg)

Les éléments configurés affichent les modifications à la volée, ce qui facilite 
la personnalisation.

**Applications principales :**

- Lecteur vidéo : SMplayer 
([https://www.smplayer.info/](https://www.smplayer.info/))
- Lecteur audio : LXMusic
- Gestionnaire de fichiers : PCManFM

**Niveau minimal requis :** débutant / confirmé

Page principale du projet : [https://www.lxde.org/](https://www.lxde.org/)

### LXQt ![](img/logo/lxqt.png)

**LXQt** est un environnement de bureau léger. Il offre un bureau classique 
avec une interface moderne et très légère qui vous laissera travailler sans 
y penser. Il est livré avec une série d'outils spécifiques pour profiter de 
vos données et de vos applications favorites. C'est un environnement idéal 
pour les machines anciennes et peu performantes.

![Bureau LXQt sur Debian](img/04-choix/24-desktop-lxqt.jpg)

LXQt est la variante **Qt** (le moteur de rendu graphique de [KDE](#kde)) de 
[LXDE](#lxdeopenbox) (qui fonctionne avec **Gtk**, un autre moteur de rendu graphique). 
Vous trouverez donc certaines similitudes entre ces environnements.

Sa légèreté ne le dispense pas d'un outil de configuration centralisé vous 
permettant d'accéder aux réglages des principales fonctions de votre système 
via le centre de contrôle LXQt :

![Configuration de LXQt](img/04-choix/25-lxqt-config.jpg)

LXQt est utilisé comme session alternative par la distribution Emmabuntüs 
([https://emmabuntus.org/](https://emmabuntus.org/))

**Applications principales :**

- Lecteur vidéo : SMplayer 
([https://www.smplayer.info/](https://www.smplayer.info/))
- Lecteur audio : Audacious 
([https://audacious-media-player.org/](https://audacious-media-player.org/))
- Gestionnaire de fichiers : PCManFM-Qt

**Niveau minimal requis :** débutant / confirmé

Page principale du projet : [https://lxqt-project.org/](https://lxqt-project.org/)

### Composants des principaux bureaux Debian

Voici un tableau récapitulatif des éléments qui composent les bureaux Debian 
proposés lors de l'installation traditionnelle.

Composants      Gnome Shell          Gnome Flashback      KDE Plasma          XFCE
--------------- -------------------- -------------------- ------------------- -------------
Fichiers        Nautilus             Nautilus             Dolphin, Konqueror  Thunar
Paquets         Synaptic, Logiciels  Synaptic, Logiciels  Discover, Apper     Synaptic
Navigateur Web  Firefox              Firefox              Konqueror, Firefox  Firefox
Courriel        Evolution            Evolution            KMail               -
Vidéo           Totem                Totem                DragonPlayer        Parole
Audio           Rhythmbox, Musique   -                    Juk                 QuodLibet
Bureautique     LibreOffice          LibreOffice          LibreOffice         LibreOffice
PDF             Evince               Evince               Okular              Atril
Images          EyeOfGnome           EyeOfGnome           GwenView            Ristretto
Photos          Shotwell             -                    -                   -
Dessin          -                    -                    Gimp                -
Pair à pair     Transmission         -                    -                   -


Composants      Mate         Cinnamon             LXDE           LXQt
--------------- ------------ -------------------- -------------- -------------
Fichiers        Caja         Nemo                 PCManFM        PCManFM-Qt
Paquets         Synaptic     Synaptic, Logiciels  Synaptic       Synaptic
Navigateur Web  Firefox      Firefox              Firefox        Firefox
Courriel        -            Thunderbird          -              Thunderbird
Vidéo           -            Totem                Mpv, SMPlayer  Mpv, SMPlayer
Audio           -            Rhythmbox            LXMusic        Audacious
Bureautique     LibreOffice  LibreOffice          LibreOffice    LibreOffice
PDF             Atril        Evince               Evince         Qpdfview
Images          EyeOfMate    EyeOfGnome           GPicView       LXImage
Photos          -            Shotwell             -              -
Dessin          Gimp         Gimp, Inkscape       -              -
Pair à pair     -            Transmission         Deluge         -

