# ![](img/nav42/tux.png) Annuaire du libre

Vous avez à disposition ici une liste des sites sur lesquels vous pourrez 
trouver des informations à propos de la culture libre en général et les 
logiciels libres en particulier.

## Les Associations

### Framasoft

![](img/12-annuaire/logo_framasoft.png)  
[https://framasoft.org/fr/](https://framasoft.org/fr/) : "La route est longue 
mais la voie est libre..." - Un réseau dédié à la promotion du "libre" en général 
et du logiciel libre en particulier. De nombreux services et projets innovants 
mis librement à disposition du grand public.

### AFUL

![](img/12-annuaire/logo_aful.png)  
[https://aful.org/](https://aful.org/) Association Francophone des Utilisateurs 
de Logiciels Libres : "Promouvoir les logiciels libres ainsi que l'utilisation 
de standards ouverts."  
Depuis 1998, l'AFUL a pour but de promouvoir le logiciel libre, en particulier 
les systèmes d'exploitation (comme GNU-Linux ou les systèmes BSD libres), et 
d'aider à la diffusion de standards ouverts. L'AFUL est une organisation à but 
non lucratif (association loi 1901).

### APRIL

![](img/12-annuaire/logo_april.png)  
[https://www.april.org/](https://www.april.org/) : "Promouvoir et défendre le 
logiciel libre"  
Pionnière du logiciel libre en France, l'April, constituée de 3891 adhérents 
(3518 individus, 373 entreprises, associations et organisations), est depuis 
1996 un acteur majeur de la démocratisation et de la diffusion du logiciel 
libre et des standards ouverts auprès du grand public, des professionnels 
et des institutions dans l'espace francophone.

### FDN

![](img/12-annuaire/logo_fdn.png)  
[https://www.fdn.fr/](https://www.fdn.fr/) (French Data Network) : Association 
fournisseur d'accès internet. FDN est une association de loi 1901 qui a pour 
but la promotion, l'utilisation et le développement des réseaux INTERNET et 
USENET. FDN fournit de nombreux services, gérés par ses adhérents pour ses adhérents.

### La Quadrature du Net

![](img/12-annuaire/logo_quadrature.png)  
[https://www.laquadrature.net/](https://www.laquadrature.net/) : "Internet & 
Libertés". 
La Quadrature du Net est une association de défense des droits et libertés des 
citoyens sur Internet. Elle promeut une adaptation de la législation française 
et européenne qui soit fidèle aux valeurs qui ont présidé au développement 
d'Internet, notamment la libre circulation de la connaissance.

### DogmaZic

![](img/12-annuaire/logo_dogmazic.png)  
[https://www.dogmazic.net/](https://www.dogmazic.net/) : Depuis 2004 l'association 
**Musique Libre** propose aux mélomanes et aux artistes son archive musicale 
comptant maintenant plus de 50 000 titres, dûs à des projets musicaux du monde 
entier, et tous placés sous licence libre ou ouverte.

### DEFIS

![](img/12-annuaire/logo_defis.png)  
[https://www.defis.info/](https://www.defis.info/) : "Un ordinateur pour 
chacun, le numérique pour tous !"  
Depuis 2007, Défis lutte contre la fracture numérique en favorisant l'accès à 
l'informatique pour tous. Cette association propose une solution complète 
permettant à chacun de s'initier aux usages du numérique et d'acquérir du 
matériel à moindre coût.

### Linux Quimper

![](img/12-annuaire/logo_linux_quimper.png)  
[https://linuxquimper.org/a-propos-2/](https://linuxquimper.org/a-propos-2/) 
Réseau libre d'utilisateurs manchots, est un groupe d'utilisateurs de Linux (GUL) - 
un autre système d'exploitation informatique - parmi les plus actifs du Far West. 
Il réunit des adeptes de GNU/Linux et des logiciels libres (leur licence est 
libre, le code source est ouvert, les standards sont interopérables, etc.) qui 
désirent échanger et partager leurs connaissances - ou leur ignorance - dans ce 
domaine. En gros, une alternative à certaines dépendances et un complément au 
célèbre solitaire : ensemble on comprend mieux et c'est plus vivant, donc.

## Les Sites Web

### Non aux racketiciels

Ce site a pour objectif qu'en France, le consommateur ait le libre choix 
d'acheter ou non les logiciels proposés sur l'ordinateur par le constructeur : 
[https://non.aux.racketiciels.info/](https://non.aux.racketiciels.info/)

### SavoirsCom1

Appel pour la constitution d'un réseau francophone autour des Biens Communs :  
Il s'agit d'abord de ressources que nous voulons partager et promouvoir, que 
celles-ci soient naturelles, matérielles ou immatérielles. Il s'agit aussi 
des formes de gouvernance associées à ces ressources, qui vont permettre leur 
partage, le cas échéant leur circulation, leur valorisation sans destruction, 
leur protection contre ceux qui pourraient atteindre à leur intégrité. Les 
Biens Communs sont donc une approche alternative de la gestion des biens et des 
services.  [https://www.savoirscom1.info/](https://www.savoirscom1.info/)

### LinuxFr

Site généraliste sur GNU/Linux proposant dépêches, journaux, forums, sondages, 
wiki, etc ... le tout sur GNU/Linux. Un site de référence pour suivre 
l'actualité du monde libre. [https://linuxfr.org/](https://linuxfr.org/)

### TOOLinux

Quotidien d’actualité sur Linux, le logiciel libre et l’interopérabilité depuis 
mai 2000. [https://www.toolinux.com/](https://www.toolinux.com/)

### Lecrabeinfo

Communauté d’entraide informatique avec une rubrique Linux.
[https://lecrabeinfo.net/](https://lecrabeinfo.net/)

### Malekal

Site d’information et forum plus spécialisé dans la sécurité informatique 
avec des tutoriels, astuces...
[https://www.malekal.com/](https://www.malekal.com/)

### Debian-fr

![](img/logo/debian-90.png)  
La communauté francophone dispose de 3 forums d'entraide. Les communautés debian-facile 
et forum-debian.fr proposent en plus une documentation Debian :

* forum hébergé par Debian-Facile : [https://debian-facile.org/forum.php](https://debian-facile.org/forum.php)
* forum hébergé par Debian-fr.org : [https://www.debian-fr.org/](https://www.debian-fr.org/)
* forum hébergé par Forum-debian.fr : [https://forum-debian.fr/](https://forum-debian.fr/)

### Debian-Facile

![](img/12-annuaire/logo_debian-facile.png)  
Le portail Debian-Facile rassemble un forum, un wiki, un salon de discussion 
IRC, une association d'entraide et des mangeurs de chocolat. Debian-Facile est 
orienté vers l'accueil des nouveaux venus dans le monde du libre et plus particulièrement 
sur le système Debian GNU/Linux. [https://debian-facile.org/](https://debian-facile.org/)

L'association Debian-Facile héberge ou réalise plusieurs projets destinés aux 
(grands) débutants :

* les cahiers du débutants que vous consultez : 
[https://debian-facile.org/projets/lescahiersdudebutant/](https://debian-facile.org/projets/lescahiersdudebutant/)
* les *Dis ... C'est quoi ?*, une série de bandes dessinées pour expliquer simplement
le monde du numérique Libre : 
[https://debian-facile.org/projets/discestquoi/](https://debian-facile.org/projets/discestquoi/)
* les DF-mini-tutos, une chaîne de vidéo hébergée sur Peertube garnies de tutoriels 
en format court pour présenter les premières tâches à effectuer sur son système 
Debian : [https://video.tedomum.net/accounts/debian.facile](https://video.tedomum.net/accounts/debian.facile)

### Debian France

![](img/logo/debian-90.png)  
L'Association Debian France a été fondée en 2006 et a pour buts le soutien et la 
promotion du Projet Debian en France. Pour cela elle participe à de multiples 
manifestations pour présenter le projet et défendre les valeurs soutenues par ce 
dernier (cf. [le contrat social](https://www.debian.org/social_contract)).

L'association est reconnue par le projet Debian en tant que **Trusted Organization** 
([https://wiki.debian.org/Teams/Treasurer/Organizations](https://wiki.debian.org/Teams/Treasurer/Organizations)) 
depuis 2014. Ainsi, l'association est habilitée à accepter des donations et gérer 
des fonds pour le projet.  
[https://france.debian.net/](https://france.debian.net/)

### Léa-Linux

Un des premiers sites Linux, Léa-Linux propose un ensemble de services pour 
les utilisateurs de logiciels libres : un forum, une documentation complète, 
un blog et une liste de diffusion.  
[https://lea-linux.org/](https://lea-linux.org/) et 
[https://lea-linux.org/documentations/](https://lea-linux.org/documentations/)

### CHATONS

![](img/12-annuaire/logo_chatons.png)  
**le collectif anti-GAFAM** : [https://www.chatons.org](https://www.chatons.org)  
CHATONS est le **C**ollectif des **H**ébergeurs **A**lternatifs, 
**T**ransparents, **O**uverts, **N**eutres et **S**olidaires.

Il vise à rassembler des structures souhaitant éviter la collecte et la 
centralisation des données personnelles au sein de silos numériques du type 
de ceux des GAFAM (Google, Apple, Facebook, Amazon, Microsoft).  
**CHATONS** est un collectif initié par l'association Framasoft suite au 
succès de sa campagne "Dégooglisons Internet" : 
[https://degooglisons-internet.org](https://degooglisons-internet.org).  
Le projet vise à rassembler des acteurs proposant des services en ligne 
libres, éthiques, décentralisés et solidaires afin de permettre aux 
utilisateurs de trouver - rapidement - des alternatives aux produits de 
Google (entre autres) mais respectueux de leurs données et de leur vie privée.

### ./Play.it

![](img/12-annuaire/logo_playit.png)  
Ce site est dédié à un seul but : tordre le cou à la rumeur la plus persistante 
au sujet de GNU/Linux.  
Je parle bien sûr de : "Ton linusque là, cʼest nul, il nʼy a aucun jeu qui tourne dessus !".

**./play.it** est un logiciel libre qui, à partir dʼinstallateurs pour Windows ou 
Linux, construit sans besoin dʼintervention de votre part des paquets natifs prêts 
à être installés sur votre Debian, Arch Linux, Gentoo ou nʼimporte quelle dérivée 
dʼune de celles-ci (comme par exemple Ubuntu, Manjaro ou Linux Mint).

Si vos jeux sont tout ce qui vous empêche encore de vous débarrasser de votre 
dual-boot avec Windows, le bout du tunnel est proche !  
Site principal : [https://legacy.dotslashplay.it/fr/](https://legacy.dotslashplay.it/fr/)

### MicroLinux

![](img/12-annuaire/logo_microlinux.png)  
Microlinux est une société de services informatiques pour les professionnels, 
avec un focus sur Linux et l'Open Source. Maintenu par 
[Nicolas Kovacs](https://www.microlinux.fr/nicolas-kovacs/), le site héberge 
aussi une plateforme de formation Linux orienté vers la maîtrise du terminal 
et des fonctions de base sur Linux : 
[https://formation-linux.microlinux.fr](https://formation-linux.microlinux.fr). 
Classées par chapitres, la plupart des opérations sur un système Linux sont 
présentées et détaillées clairement et accompagnées d'exemples pédagogiques.  
[https://www.microlinux.fr](https://www.microlinux.fr)

## La famille Wikipédia / Wikimédia

![](img/12-annuaire/logo_wm-foundation.png)  
Vous connaissez tous [wikipedia l'encyclopédie libre](https://fr.wikipedia.org/).

Mais il y a toute la [galaxie](https://www.wikimedia.fr/) qui gravite autour...

### Wikipédia

![](img/12-annuaire/logo_wikipedia.png)  
**wikipedia, l'encyclopédie libre** 
[https://fr.wikipedia.org/](https://fr.wikipedia.org/)  
Wikipédia est une encyclopédie écrite par des volontaires sur internet, 
universelle, multilingue, à laquelle chacun peut collaborer, immédiatement 
et fonctionnant sur le principe du wiki.

### Wikimedia

![](img/12-annuaire/logo_wm-commons.png)  
**wikimedia commons, la médiathèque** 
[https://commons.wikimedia.org/wiki/Accueil](https://commons.wikimedia.org/wiki/Accueil)  
Wikimedia Commons (souvent nommé Commons) est une médiathèque en ligne 
d'images, de sons et d'autres médias audio-visuels sous licence libre.

### Wiktionnaire

![](img/12-annuaire/logo_wiktionary.png)  
**wikitionnaire, le dictionnaire** 
[https://fr.wiktionary.org/wiki/Wiktionnaire](https://fr.wiktionary.org/wiki/Wiktionnaire)  
Initialement créé en tant que complément lexical de Wikipédia, projet 
encyclopédique, le Wiktionnaire s'est étoffé au-delà du simple dictionnaire 
normal et inclut maintenant non seulement les définitions, mais aussi des 
renvois lexicaux ou thématiques (thésaurus), un dictionnaire de rimes, des 
expressions et locutions, des statistiques linguistiques et des annexes 
diverses couvrant divers aspects grammaticaux ou lexicaux des langues traitées.

### Wikiquote

![](img/12-annuaire/logo_wikiquote.png)  
**wikiquote, collecte de citations** 
[https://fr.wikiquote.org/wiki/Accueil](https://fr.wikiquote.org/wiki/Accueil)  
Un projet libre de collecte de citations. Wikiquote est un projet collaboratif 
hébergé par la fondation Wikimedia ayant pour but de créer le plus grand 
recueil de citations du monde, dont les sources sont vérifiables.

### Wikisource

![](img/12-annuaire/logo_wikisource.png)  
**wikisource, la bibliothèque** 
[https://fr.wikisource.org/wiki/Wikisource:Accueil](https://fr.wikisource.org/wiki/Wikisource:Accueil)  
Wikisource est un wiki dont le but est de réaliser une bibliothèque numérique 
multilingue. Ce travail est fait par des contributeurs bénévoles.  
Les documents placés sur Wikisource doivent avoir été déjà publiés ailleurs, 
sur papier (sauf en cas de traduction ou de parution officielle en ligne).  
Les documents placés sur Wikisource doivent être dans le domaine public ou 
sous une licence libre compatible avec la licence Creative Commons CC-BY-SA 
(qui remplace la licence GNU/FDL anciennement utilisée). 

### Wikilivres

![](img/12-annuaire/logo_wikibooks.png)  
**wikilivres, la boutique de livres pédagogiques** 
[https://fr.wikibooks.org/wiki/Accueil](https://fr.wikibooks.org/wiki/Accueil)  
Wikilivres est une collection de textes pédagogiques libres rassemblés en 
livres, écrits en collaboration.

### Wikijuniors

![](img/12-annuaire/logo_wikijunior.png)  
**wikijuniors, le libre pour les enfants** 
[https://fr.wikibooks.org/wiki/Wikijunior](https://fr.wikibooks.org/wiki/Wikijunior)  
Wikijunior est un projet hébergé par Wikilivres qui consiste à produire des 
contenus appropriés pour les enfants de zéro à douze ans. Ces livres sont 
abondamment illustrés et colorés avec des photographies, des schémas et des 
dessins.

### Vikidia

![](img/12-annuaire/logo_vikidia.png)  
**vikidia, l'encyclopédie pour les 8-13 ans** 
[https://fr.vikidia.org/wiki/Accueil](https://fr.vikidia.org/wiki/Accueil)  
Vikidia est un projet encyclopédique francophone en ligne, au format wiki, 
destiné aux 8-13 ans comme lecteurs mais aussi comme participants. Le site 
est indépendant de la fondation Wikimédia, dont dépend Wikipédia. Il a été 
lancé en novembre 2006.

### Wikiversité

![](img/12-annuaire/logo_wikiversity.png)  
**wikiversité, la communauté pédagogique** 
[https://fr.wikiversity.org/wiki/Accueil](https://fr.wikiversity.org/wiki/Accueil)  
Wikiversité est un effort commun pour faciliter l'apprentissage de tous. 
Wikiversité est un espace totalement libre disposant de Ressources éducatives 
libres organisées pour un apprentissage facile et autonome. Wikiversité se 
base sur le Connectivisme, la théorie de l'apprentissage à l'ère du 
numérique et d'internet.

### Wikispecies

![](img/12-annuaire/logo_wikispecies.png)  
**wikispecies, le répertoire des espèces vivantes** 
[https://species.wikimedia.org/wiki/Accueil](https://species.wikimedia.org/wiki/Accueil)  
Wikispecies est un répertoire nomenclatural en ligne destiné à recenser les 
espèces du vivant : animales, végétales, bactériennes, fongiques, voire 
virales (le débat de l'appartenance des virus au vivant n'est pas clos).

### Wikivoyage

![](img/12-annuaire/logo_wikivoyage.png)  
**wikivoyage, le guide de voyage** 
[https://fr.wikivoyage.org/wiki/Accueil](https://fr.wikivoyage.org/wiki/Accueil)  
Wikivoyage est un projet pour créer un guide de voyage mondial libre, complet, 
à jour et fiable. Il est écrit en collaboration par des Wikivoyageurs du 
monde entier.

### Wikinews

![](img/12-annuaire/logo_wikinews.png)  
**wikinews, la source d'information** 
[https://fr.wikinews.org/wiki/Accueil](https://fr.wikinews.org/wiki/Accueil)  
Wikinews est un recueil de dépêches et de reportages d'actualité, entièrement 
écrit par ses utilisateurs. Wikinews s'appuie sur certaines valeurs 
fondamentales : Wikinews se concentre sur l'actualité. Nos articles traitent 
d'événements en cours, ce n'est pas un livre d'histoire ou encore une 
encyclopédie.

### Wikidata

![](img/12-annuaire/logo_wikidata.png)  
**wikidata, la base de connaissance** 
[https://fr.wikipedia.org/wiki/Wikidata](https://fr.wikipedia.org/wiki/Wikidata)  
Wikidata est un projet de base de données édité de manière collaborative pour 
aider à la mise à jour des données de Wikipédia. Ce projet est lancé par 
Wikimedia Deutschland. Présenté lors de la Semantic Tech & Business 
Conference en février 2012, son ouverture a été initialement annoncée au 
printemps 2013. Le site a été ouvert aux premières contributions le 31 
octobre 2012.

### Wiki Meta-wiki

![](img/12-annuaire/logo_wm-meta-wiki.png)  
**wikimedia Meta-wiki, qui coordonne tous les projets wikimedia** 
[https://meta.wikimedia.org/wiki/Accueil](https://meta.wikimedia.org/wiki/Accueil)  
Le site communautaire global des projets de la Fondation Wikimedia et des 
projets associés, permettant leur coordination et leur documentation, mais 
aussi leur planification et leur analyse.

### Wiki-incubator

![](img/12-annuaire/logo_wm-incubator.png)  
**wikimedia incubator, l'endroit où naissent les nouvelles versions** 
[https://incubator.wikimedia.org/wiki/Incubator:Main_Page/fr](https://incubator.wikimedia.org/wiki/Incubator:Main_Page/fr)  
L'Incubateur Wikimédia est l'endroit où les projets Wikimédia, Wikipedia, 
Wikibooks, Wikinews, Wikiquote, Wiktionary et Wikivoyage, peuvent lancer de 
nouvelles versions linguistiques. Les projets peuvent y être organisés, 
rédigés, vérifiés et évalués avant d'être accueillis par la Fondation Wikimédia.

### MediaWiki

![](img/12-annuaire/logo_mediawiki.png)  
**mediawiki, le logiciel open source sur lequel repose tous les projets wikimédia** 
[https://www.mediawiki.org/wiki/MediaWiki/fr](https://www.mediawiki.org/wiki/MediaWiki/fr)  
MediaWiki est un logiciel libre orienté serveur, disponible sous licence Licence 
publique générale GNU (GNU General Public License - GPL). Il est conçu pour 
fonctionner dans une ferme composée d'un bon nombre de serveurs appartenant à 
un site internet qui peut avoir plusieurs millions de clics par jour.

## Les Distributions GNU/Linux

### Debian

![](img/logo/debian-90.png)  
Debian Le système d'exploitation universel aka "Maman" 
[https://www.debian.org/index.fr.html](https://www.debian.org/index.fr.html)  
Debian est une organisation communautaire et démocratique, dont le but est le 
développement de systèmes d'exploitation basés exclusivement sur des 
logiciels libres.

### Emmabuntüs

![](img/12-annuaire/logo_emmabuntus.png)  
Emmabuntüs 
([https://fr.wikipedia.org/wiki/Emmabunt%C3%BCs](https://fr.wikipedia.org/wiki/Emmabunt%C3%BCs)) 
est une distribution conçue pour faciliter le **reconditionnement** des 
ordinateurs donnés aux associations humanitaires, en particulier aux 
communautés Emmaüs 
([https://fr.wikipedia.org/wiki/Communaut%C3%A9_Emma%C3%BCs](https://fr.wikipedia.org/wiki/Communaut%C3%A9_Emma%C3%BCs)) 
(d'où son nom) et favoriser la découverte de **GNU/Linux** par les débutants, 
mais aussi prolonger la durée de vie du matériel pour limiter le gaspillage 
entraîné par la surconsommation de matières premières.  
Emmabuntüs est utilisée pour le réemploi d'ordinateurs par des associations 
et des structures éducatives ou associatives.  
[https://emmabuntus.org/](https://emmabuntus.org/)

### PrimTux

![](img/12-annuaire/logo_primtux_carre.png)  
PrimTux 
([https://fr.wikipedia.org/wiki/PrimTux](https://fr.wikipedia.org/wiki/PrimTux)) 
est une distribution éducative française complète destinée à l'école 
primaire. Elle est basée sur Debian Jessie et développée en coopération 
avec la communauté ASRI éducation. Simple, intuitive, adaptée à l'école 
primaire, elle conviendra parfaitement aux élèves et enseignants, débutants 
et initiés de l'univers Linux.(source : blog officiel). 
[https://primtux.fr/](https://primtux.fr/)

### Mageia

![](img/12-annuaire/logo_mageia.png)  
**Mageia** ([https://www.mageia.org/fr/](https://www.mageia.org/fr/)) est un système 
d'exploitation libre, basé sur GNU/Linux. C'est un projet communautaire 
([https://www.mageia.org/fr/community/](https://www.mageia.org/fr/community/)), 
soutenu par une association loi 1901 constituée de contributeurs élus.  
Le but de Mageia : fabriquer de superbes outils pour les personnes. Au delà 
d'un système d'exploitation sûr, stable et durable pour vos ordinateurs, 
l'objectif est d'établir une gouvernance stable et crédible pour coordonner 
des projets collaboratifs.  
Les contributions sont basées sur une licence propre 
([https://www.mageia.org/fr/about/license/](https://www.mageia.org/fr/about/license/)) 
et la communauté respecte un Code de conduite 
([https://www.mageia.org/fr/about/code-of-conduct/](https://www.mageia.org/fr/about/code-of-conduct/)).  
Mageia dispose d'une communauté francophone active et une documentation détaillée. 
[https://www.mageialinux-online.org/mlo/](https://www.mageialinux-online.org/mlo/)

### Fedora

![](img/12-annuaire/logo_fedora.png)  
**Fedora** ([https://getfedora.org/fr/](https://getfedora.org/fr/)) est un 
système d’exploitation bien fini et facile d’utilisation pour les ordinateurs 
de bureau et portables, avec un ensemble complet d’outils pour les développeurs 
et les créateurs de tous types.  
Fedora livre aussi une version "Server", un système d’exploitation puissant 
et flexible qui comprend les technologies les meilleures et les plus récentes 
pour les centres de données. Il vous donne le contrôle de toutes vos 
infrastructures et services.

### Distributions 100 % libres

![](img/12-annuaire/logo_gnu.png)  
[https://www.gnu.org/distros/free-distros.fr.html](https://www.gnu.org/distros/free-distros.fr.html)  
Cette page liste les distributions totalement libres disponibles. La **FSF** 
est plutôt sévère sur le libre... Mais peut-on blâmer une organisation qui ne 
cherche qu'à obtenir ce qui devrait être une évidence ?

## Équivalents logiciels libres & logiciels propriétaires

- **Correspondance entre logiciels libres et logiciels propriétaires** : une 
liste d'alternatives libres proposant des fonctionnalités proches de logiciels 
propriétaires bien établis dans leur domaine d'application. Cette liste est 
loin d'être exhaustive et n'a pas pour but de mettre en avant des logiciels 
particuliers mais seulement de présenter différents logiciels (propriétaires 
ou libres) dans un même domaine d'application. 
[https://fr.wikipedia.org/wiki/Correspondance_entre_logiciels_libres_et_logiciels_propri%C3%A9taires](https://fr.wikipedia.org/wiki/Correspondance_entre_logiciels_libres_et_logiciels_propri%C3%A9taires)

- **Trouver le logiciel libre correspondant à un logiciel propriétaire** : le 
plus simple souvent pour trouver un logiciel libre, c'est de commencer à 
saisir le nom du logiciel propriétaire dans le champ de recherche. Vous 
pouvez aussi filtrer la liste en tapant l'orientation principale (ex.: 
graphisme, internet) ou une fonctionnalité (ex.: navigateur, tableur...). 
[https://clibre.eu/](https://clibre.eu/) ou [https://alternativeto.net/](https://alternativeto.net/)

## Matériel compatible

Le but du projet **h-node** est de créer une base de données de matériel afin 
d'identifier les dispositifs qui fonctionnent avec un système d'exploitation 
entièrement libre. Le site h-node est structuré comme un wiki, dont tout les 
utilisateurs peuvent modifier ou insérer des contenus. Le projet h-node est 
développé en collaboration et en tant qu'activité de la FSF. 
[https://h-node.org/home/index/fr](https://h-node.org/home/index/fr)

## Annuaires du Libre

- Framalibre : "Le gros annuaire" [https://framalibre.org/](https://framalibre.org/) 
qui offre une foule de ressources libres.
- Framastart : "Logiciels Libres" 
[https://framastart.org/](https://framastart.org/). Découvrez les nombreux 
avantages des logiciels libres, ainsi que les logiciels phares pour vos usages 
les plus courants.
- Liste de logiciels libres : Les logiciels libres présents sur cette page le 
sont selon la définition de l'article "logiciel libre". La plupart des 
programmes cités ici sont disponibles sous licence GNU ou BSD. 
[https://fr.wikipedia.org/wiki/Liste_de_logiciels_libres](https://fr.wikipedia.org/wiki/Liste_de_logiciels_libres)
- CLibre.eu : Logiciels libres & opensource et autour du libre 
[https://clibre.eu/](https://clibre.eu/). "Nous participons à la 
promotion des applications et logiciels libres et ressources & services en 
ligne libres afin que ceux-ci soient de plus en plus souvent utilisés avec 
l'esprit qui va avec".
- JeuxLibres.net]] : "Des jeux libres, pour tous" 
[https://jeuxlibres.net/](https://jeuxlibres.net/). "Bienvenue sur Jeux libres, 
un catalogue de jeux vidéos libres principalement sous GNU/Linux".
- Pack Logiciels Libres de l'Entreprise : Le Pack Logiciels Libres de 
l'Entreprise contient un ensemble de logiciels fonctionnant sur Windows®... 
Laissez-vous guider et découvrez plus de 100 logiciels libres facilement 
utilisables pour vous accompagner dans votre informatique au quotidien. 
Bureautique, comptabilité, gestion commerciale, gestion de projet, graphisme, 
multimédia... 
[https://www.pack-logiciels-libres.fr/](https://www.pack-logiciels-libres.fr/)
- EPFL/ENAC-IT : Annuaire EPFL des principaux logiciels libres 
[https://enacit.epfl.ch/logiciel-libre/](https://enacit.epfl.ch/logiciel-libre/). 
Dans l'esprit qui anime le mouvement du logiciel libre, cet annuaire résulte 
d'un travail collaboratif qui a débuté en 2002 déjà. Il existe des dizaines 
de milliers de "logiciels libres" et la sélection que nous présentons ici 
est donc par définition très limitée et résulte d'un choix subjectif.
- Je Suis Libre : "Tout sur le soft 100% Libre" 
[http://www.jesuislibre.org/](http://www.jesuislibre.org/). Ce site permet de 
faire sortir de l'ombre tous les développeurs qui conçoivent des projets dans 
le monde du libre (communautaires, universitaires,etc..).

